%define dracutlibdir %{_prefix}/lib/dracut

# Variables must be defined
%define with_nbd                1

# nbd in Fedora only
%if 0%{?rhel} >= 6
%define with_nbd 0
%endif

Name: dracut
Version: 033
Release: 535%{?dist}.1

Summary: Initramfs generator using udev
%if 0%{?fedora} || 0%{?rhel}
Group: System Environment/Base
%endif
%if 0%{?suse_version}
Group: System/Base
%endif

# The entire source code is GPLv2+
# except install/* which is LGPLv2+
License: GPLv2+ and LGPLv2+

URL: https://dracut.wiki.kernel.org/

# Source can be generated by
# http://git.kernel.org/?p=boot/dracut/dracut.git;a=snapshot;h=%{version};sf=tgz
Source0: http://www.kernel.org/pub/linux/utils/boot/dracut/dracut-%{version}.tar.bz2
Patch1: 0001-dracut.sh-harden-host_modalias-reading.patch
Patch2: 0002-ifup-do-not-dhcp-on-network-interface-of-secondary-s.patch
Patch3: 0003-dracut.sh-also-search-uevent-s-for-MODALIAS.patch
Patch4: 0004-dracut.sh-we-don-t-need-to-read-the-modalias-files.patch
Patch5: 0005-Add-option-to-turn-on-off-prelinking.patch
Patch6: 0006-add-etc-system-fips-for-dracut-fips-subpackage.patch
Patch7: 0007-dracut-Generlize-microcode-early-cpio-usage.patch
Patch8: 0008-dracut-Do-not-create-early_cpio-if-no-suitable-micro.patch
Patch9: 0009-dracut-Implement-ACPI-table-overriding.patch
Patch10: 0010-dracut.conf.5.asc-Add-ACPI-table-override-and-uncomp.patch
Patch11: 0011-dracut-bash-completion.sh-add-prelink-noprelink.patch
Patch12: 0012-dracut.sh-bail-out-early-if-destination-dir-is-not-w.patch
Patch13: 0013-dracut-logger.sh-do-not-log-to-syslog-kmsg-journal-f.patch
Patch14: 0014-lvm-mdraid-Fix-LVM-on-MD-activation.patch
Patch15: 0015-bcache-optionally-install-the-tools-and-rules.patch
Patch16: 0016-dracut-functions.sh-inst_rules-do-not-install-rules-.patch
Patch17: 0017-mdraid-module-setup.sh-install-configs-from-etc-mdad.patch
Patch18: 0018-mdraid-module-setup.sh-fixes-for-mdadm-3.2.6.patch
Patch19: 0019-fcoe-add-FCoE-UEFI-boot-device-support.patch
Patch20: 0020-rootfs-block-add-support-for-the-rootfallback-kernel.patch
Patch21: 0021-btrfs-use-inst_hook-to-install-the-timeout-hook.patch
Patch22: 0022-lvm-install-thin-utils-for-non-hostonly.patch
Patch23: 0023-dracut.sh-do-not-bail-out-if-kernel-modules-dir-is-m.patch
Patch24: 0024-dmsquash-live-add-dev-mapper-live-base.patch
Patch25: 0025-Doc-cleanup-extend-and-split-and-reuse.patch
Patch26: 0026-lvm-fix-thin-recognition.patch
Patch27: 0027-dracut-functions.sh-check_block_and_slaves-skip-LVM-.patch
Patch28: 0028-Add-lzo-lz4-compression-and-read-INITRD_COMPRESS.patch
Patch29: 0029-git2spec.pl-remove-.git-date-from-release-string.patch
Patch30: 0030-kernel-modules-ARM-add-mmc_block-usb_storage-to-stat.patch
Patch31: 0031-lvm-always-install-thin-utils-for-lvm.patch
Patch32: 0032-dracut.spec-move-sbin-dracut-to-usr-sbin-dracut.patch
Patch33: 0033-usrmount-module-setup.sh-fixed-typo.patch
Patch34: 0034-Handle-crypto-modules-with-and-without-modaliases.patch
Patch35: 0035-fips-include-crct10dif_generic.patch
Patch36: 0036-resume-fix-swap-detection-in-hostonly.patch
Patch37: 0037-resume-remove-resume-genrules.sh.patch
Patch38: 0038-iscsi-nbd-do-not-try-to-mount-the-whole-disk-if-root.patch
Patch39: 0039-fips-also-install-etc-system-fips-in-the-initramfs.patch
Patch40: 0040-dracut-functions.sh-Avoid-loading-unnecessary-32-bit.patch
Patch41: 0041-systemd-do-not-exit-the-initqueue-if-systemd-asks-a-.patch
Patch42: 0042-kernel-modules-add-ohci-pci-to-the-list-of-forced-mo.patch
Patch43: 0043-lvm-do-not-run-pvscan-for-lvmetad-update.patch
Patch44: 0044-fips-fix-RHEV-vmlinuz-check.patch
Patch45: 0045-dracut.cmdline.7.asc-document-server-ip-of-ip-parame.patch
Patch46: 0046-dracut.sh-_get_fs_type-if-block-device-exists-return.patch
Patch47: 0047-network-net-lib.sh-wait_for_if_up-wait-for-state-UP.patch
Patch48: 0048-network-net-lib.sh-iface_has_link-fixup.patch
Patch49: 0049-network-ifup.sh-before-doing-dhcp-check-if-the-link-.patch
Patch50: 0050-base-dracut-lib.sh-wait_for_dev-relax-requirement.patch
Patch51: 0051-dracut.sh-skip-crypt-swaps-with-password-files.patch
Patch52: 0052-Fixup-script-permissions.patch
Patch53: 0053-Remove-shebang-from-shell-completion-files.patch
Patch54: 0054-i18n-introduce-i18n_install_all-to-install-everythin.patch
Patch55: 0055-Run-xz-and-lzma-with-multiple-threads.patch
Patch56: 0056-iscsi-nbd-do-not-fail-in-hostonly-mode.patch
Patch57: 0057-dracut.sh-fixed-PATH-shortener.patch
Patch58: 0058-dracut.modules.7.asc-removed-empty-section.patch
Patch59: 0059-lvm-install-thin-tools-only-when-needed-in-hostonly.patch
Patch60: 0060-systemd-dracut-initqueue.sh-fixed-waiting-in-the-loo.patch
Patch61: 0061-base-rdsosreport.sh-add-ip-a-output.patch
Patch62: 0062-lvm-fixed-lvm-thin-check.patch
Patch63: 0063-test-TEST-17-LVM-THIN-add-test-case-for-lvm-thin-poo.patch
Patch64: 0064-test-TEST-17-LVM-THIN-remove-.testdir.patch
Patch65: 0065-iscsi-do-iscsi_firmware-regardless-of-network.patch
Patch66: 0066-dracut-lib-wait_for_dev-prevent-systemd-daemon-reloa.patch
Patch67: 0067-kernel-modules-add-more-block-driver.patch
Patch68: 0068-network-include-usbnet-drivers.patch
Patch69: 0069-systemd-dracut-initqueue.sh-fstab-is-not-a-directory.patch
Patch70: 0070-iscsi-iscsiroot.sh-do-not-trust-iscsistart-return-va.patch
Patch71: 0071-dracut.sh-add-missing-piece-for-option-add-device.patch
Patch72: 0072-dracut.sh-add-boot-efi-to-device-paths.patch
Patch73: 0073-documentation-line-wrap.patch
Patch74: 0074-network-include-all-ethernet-drivers.patch
Patch75: 0075-dracut-install-dracut-fix-ldd-output-parsing.patch
Patch76: 0076-systemd-add-71-seat.rules-73-seat-late.rules.patch
Patch77: 0077-systemd-add-seat-udev-rules-and-mask-loginctl.patch
Patch78: 0078-systemd-module-setup.sh-make-use-of-ln_r.patch
Patch79: 0079-network-add-rd.bootif-0-to-ignore-BOOTIF.patch
Patch80: 0080-iscsi-call-iscsistart-b-until-it-succeeds.patch
Patch81: 0081-base-dracut-lib.sh-halt-the-machine-in-systemd-mode-.patch
Patch82: 0082-systemd-rootfs-generator.sh-exit-0.patch
Patch83: 0083-systemd-rootfs-generator.sh-ignore-legacy-root-dev-n.patch
Patch84: 0084-dracut-lib.sh-fixed-shebang.patch
Patch85: 0085-iscsi-more-iscsiroot-fixes.patch
Patch86: 0086-iscsiroot-touch-the-right-marker-file.patch
Patch87: 0087-lvm-lvm_scan.sh-handle-one-LV-at-a-time-with-lvchang.patch
Patch88: 0088-dracut-logger.sh-systemd-cat-only-understands-prio-0.patch
Patch89: 0089-Use-builtin-xz-lzma-option-to-use-all-cores-for-mult.patch
Patch90: 0090-dracut-initramfs-restore-lsinitrd-add-LZ4-support.patch
Patch91: 0091-Revert-dmraid-let-dmraid-setup-the-partitions.patch
Patch92: 0092-dracut.sh-create-early-cpio-dir-for-acpi-tables.patch
Patch93: 0093-dracut.sh-set-file-owners-of-early-cpio-files-to-0-0.patch
Patch94: 0094-add-skipcpio-utility.patch
Patch95: 0095-dracut.sh-add-early_cpio-marker-file-to-the-early-cp.patch
Patch96: 0096-lsinitrd.sh-make-use-of-the-skipcpio-utility.patch
Patch97: 0097-network-dhclient-script.sh-set-lease-time.patch
Patch98: 0098-dracut-lib.sh-bugfix-for-pidof-function.patch
Patch99: 0099-dracut-lib.sh-bugfix-for-pidof-function.patch
Patch100: 0100-iscsi-iscsiroot.sh-beautify-warning.patch
Patch101: 0101-dracut.spec-add-skipcpio.patch
Patch102: 0102-systemd-ensure-autofs4-and-ipv6-are-included.patch
Patch103: 0103-dracut-functions.sh-also-search-in-the-updates-direc.patch
Patch104: 0104-dracut.sh-only-set-the-owner-of-files-to-0-0-if-gene.patch
Patch105: 0105-dracut.conf.d-fedora.conf.example-turn-on-early_micr.patch
Patch106: 0106-network-understand-ip-.-dns1-dns2.patch
Patch107: 0107-network-ifup.sh-handle-dns1-and-dns2-from-ip-setting.patch
Patch108: 0108-network-net-lib.sh-parse-ibft-nameserver-settings.patch
Patch109: 0109-dmsquash-live-dmsquash-liveiso-genrules.sh-s-loop0-l.patch
Patch110: 0110-base-rdsosreport.sh-add-dracut-version-to-rdsosrepor.patch
Patch111: 0111-fcoe-move-uefi-parsing-to-fcoe-uefi-module.patch
Patch112: 0112-move-uefi-lib-to-a-seperate-module.patch
Patch113: 0113-dracut.spec-add-95fcoe-uefi-and-99uefi-lib.patch
Patch114: 0114-fcoe-uefi-do-not-include-if-fcoe-utils-not-installed.patch
Patch115: 0115-network-fix-dns-parsing-in-ip-parameter.patch
Patch116: 0116-skipcpio-return-something-at-end-of-program.patch
Patch117: 0117-skipcpio-fixed-signatured-check.patch
Patch118: 0118-network-ifup-do-not-ifup-an-already-setup-network-in.patch
Patch119: 0119-network-ifup-do-not-run-dhclient-twice-on-the-same-i.patch
Patch120: 0120-nfs-nfsroot-symlink-dev-null-to-dev-nfs-as-a-marker-.patch
Patch121: 0121-systemd-dracut-pre-pivot-run-for-dev-nfs-root-and-cl.patch
Patch122: 0122-new_dhcp_next_server-is-really-new_next_server.patch
Patch123: 0123-dracut.sh-Fix-variable-name-typo.patch
Patch124: 0124-kernel-modules-add-sdhci_acpi-to-the-static-list-of-.patch
Patch125: 0125-dracut-functions.sh-find_kernel_modules_by_path-fixe.patch
Patch126: 0126-iscsi-for-iBFT-read-the-initiator-name-from-the-corr.patch
Patch127: 0127-fcoe-uefi-try-all-FcoeBootDevice-variables-for-a-Dev.patch
Patch128: 0128-dracut.sh-write-directly-to-the-output-file.patch
Patch129: 0129-systemd-add-sys-kernel-config.mount.patch
Patch130: 0130-systemd-add-70-uaccess.rules.patch
Patch131: 0131-Add-flag-to-toggle-hostonly-cmdline-storing-in-the-i.patch
Patch132: 0132-default-conf-set-hostonly_cmdline-no.patch
Patch133: 0133-systemd-rootfs-generator.sh-generate-units-in-run-sy.patch
Patch134: 0134-ifcfg-write-ifcfg.sh-do-not-bind-s390-to-MAC-if-SUBC.patch
Patch135: 0135-network-net-lib.sh-wait_for_ipv6_auto-also-wait-for-.patch
Patch136: 0136-network-dhclient-script.sh-DHCP-IPv6-interface-setup.patch
Patch137: 0137-network-IPv6-status-wait-for-tentative-flag-to-be-cl.patch
Patch138: 0138-network-merge-setup_net_-netif.ok-and-net.-netif.did.patch
Patch139: 0139-systemd-add-systemd-sysctl-service.patch
Patch140: 0140-add-default-values-in-fstab_lines.patch
Patch141: 0141-test-add-missing-Makefile.testdir.patch
Patch142: 0142-test-Makefile-add-SKIP-env-to-skip-certain-tests.patch
Patch143: 0143-test-TEST-50-MULTINIC-client-init.sh-skip-MAC-marker.patch
Patch144: 0144-Add-no-hostonly-cmdline-option-handling-for-getopt.patch
Patch145: 0145-dracut-don-t-let-devices-timeout.patch
Patch146: 0146-Do-not-wait_for_dev-if-hostonly_cmdline-not-set.patch
Patch147: 0147-systemd-dracut-shutdown.service-make-failure-non-fat.patch
Patch148: 0148-network-dhclient-script-do-PREINIT6-for-DHCP6.patch
Patch149: 0149-shutdown-if-kexec-failed-do-a-simple-reboot.patch
Patch150: 0150-dracut-initramfs-restore-fix-unpacking-with-early-mi.patch
Patch151: 0151-fcoe-wait-for-lldpad-to-be-ready.patch
Patch152: 0152-network-handle-ip-dhcp6-for-all-interfaces.patch
Patch153: 0153-lsinitrd.sh-prevent-construct.patch
Patch154: 0154-network-DCHPv6-set-valid_lft-and-preferred_lft.patch
Patch155: 0155-dm-add-dm-cache-modules.patch
Patch156: 0156-fcoe-workaround-fcoe-timing-issues.patch
Patch157: 0157-Add-legacy-flag-l-to-lz4-and-update-magic-number.patch
Patch158: 0158-fs-lib-always-install-fsck.-fs-if-present.patch
Patch159: 0159-ifcfg-write-ifcfg.sh-turn-on-IPV6INIT-if-any-inet6-a.patch
Patch160: 0160-dracut-functions.sh-add-lib-modules-extras-weak-upda.patch
Patch161: 0161-fstab-do-not-mount-and-fsck-from-fstab-if-using-syst.patch
Patch162: 0162-lvm-module-setup.sh-check-for-existance-of-69-dm-lvm.patch
Patch163: 0163-dracut-initqueue-service-runs-before-remote-fs-pre.t.patch
Patch164: 0164-ifcfg-do-not-bind-persistent-interface-names-to-HWAD.patch
Patch165: 0165-ifcfg-only-bind-to-HWADDR-if-addr_assign_type-0.patch
Patch166: 0166-dracut-lib.sh-fixed-return-value-of-pidof.patch
Patch167: 0167-Do-not-log-to-kmsg-syslog-and-files-for-print-cmdlin.patch
Patch168: 0168-ifcfg-write-ifcfg.sh-IPV6INIT-yes-check-also-for-non.patch
Patch169: 0169-cms-cmssetup.sh-convert-SUBCHANNELS-to-lowercase.patch
Patch170: 0170-mdraid-module-setup.sh-fixed-print-cmdline-for-empty.patch
Patch171: 0171-ifcfg-write-ifcfg.sh-include-net-lib.sh.patch
Patch172: 0172-nbd-nbdroot.sh-call-nbd-client-with-systemd-mark.patch
Patch173: 0173-fcoe-uefi-parse-uefifcoe.sh-fixed-parameter-generati.patch
Patch174: 0174-dracut-functions.sh-print_vars-fix-for-values-with-s.patch
Patch175: 0175-98systemd-fixup-rootfs-generator-installation-path.patch
Patch176: 0176-dracut-pre-pivot-pulls-in-remote-fs.target.patch
Patch177: 0177-kernel-modules-Fix-storage-module-selection-for-sdhc.patch
Patch178: 0178-bonding-use-hwaddr-of-the-slave-rather-than-the-mast.patch
Patch179: 0179-network-ifup.sh-Don-t-try-to-modprobe-ipv6-if-alread.patch
Patch180: 0180-iscsi-correctly-install-the-timeout-iscsiroot-dummy-.patch
Patch181: 0181-iscsi-correctly-install-the-settled-iscsiroot-dummy-.patch
Patch182: 0182-deprecate-ip-ibft-kernel-command-line-parameter.patch
Patch183: 0183-systemd-Optionally-include-efivarsfs-module.patch
Patch184: 0184-98systemd-also-install-systemd-journald-dev-log.sock.patch
Patch185: 0185-lsinitrd.sh-don-t-choke-on-LZO-compressed-images.patch
Patch186: 0186-usable_root-only-check-for-ld-.so.patch
Patch187: 0187-print-out-what-kernel-command-line-parameters-are-us.patch
Patch188: 0188-kernel-modules-add-tegra-arm-modules.patch
Patch189: 0189-Add-rd.cmdline-ask-kernel-command-line-parameter.patch
Patch190: 0190-base-init.sh-use-loop-counter-with-unique-varname.patch
Patch191: 0191-ifcfg-depends-on-network.patch
Patch192: 0192-test-add-udev-settle-after-sfdisk.patch
Patch193: 0193-TEST-15-BTRFSRAID-install-etc-os-release.patch
Patch194: 0194-lvm-module-setup.sh-check-for-existance-of-69-dm-lvm.patch
Patch195: 0195-dracut.sh-always-copy-prelink-files-in-FIPS-mode.patch
Patch196: 0196-dracut-functions.sh-speed-up-ldconfig_paths.patch
Patch197: 0197-Installing-an-OS-with-VLAN-enabled-to-an-ISCSI-LUN-f.patch
Patch198: 0198-ARM-update-modules-for-ARM-host-only-options.patch
Patch199: 0199-base-dracut-lib-pidof-turn-off-debugging.patch
Patch200: 0200-network-add-rd.route-parameter.patch
Patch201: 0201-udev-rules-add-uaccess-and-seat-rules.patch
Patch202: 0202-testsuite-mods-for-kvm-nested-in-kvm.patch
Patch203: 0203-add-kate-and-emacs-per-directory-config-files.patch
Patch204: 0204-ssh-client-handle-etc-ssh-ssh_config.patch
Patch205: 0205-dracut-lib.sh-cancel_wait_for_dev-fixed-double-escap.patch
Patch206: 0206-Do-not-reload-systemd-with-wait_for_dev.patch
Patch207: 0207-lsinird-Adding-option-m-mod-to-list-dracut-modules-i.patch
Patch208: 0208-dracut.sh-also-mkdir-run-lock-which-is-copied-to.patch
Patch209: 0209-dracut.sh-no-need-to-make-subdirs-in-run.patch
Patch210: 0210-dracut-functions.sh-do-not-force-require-modules.bui.patch
Patch211: 0211-Make-logfile-configurable.patch
Patch212: 0212-Dracut-Add-a-new-argument-rebuild.patch
Patch213: 0213-network-net-lib.sh-parse_iscsi_root-do-not-enforce-t.patch
Patch214: 0214-replaced-ip-auto-with-ip-dhcp-in-the-documentation.patch
Patch215: 0215-Support-spaces-in-mount_nfs-1109933.patch
Patch216: 0216-fixed-bridge-setup.patch
Patch217: 0217-bridging-update-the-ifcfg-files-generated-for-bridge.patch
Patch218: 0218-ifcfg-write-ifcfg.sh-bind-bond-and-bridge-interfaces.patch
Patch219: 0219-cms-cmssetup.sh-fixed-indention.patch
Patch220: 0220-cms-cmssetup.sh-understand-DASD-none.patch
Patch221: 0221-qemu-install-virtio_console-kernel-module.patch
Patch222: 0222-dracut-functions.sh-exit-for-missing-force-add-or-ad.patch
Patch223: 0223-do-ip-route-replace-default-instead-of-add.patch
Patch224: 0224-network-net-lib.sh-is_persistent_ethernet_name-eth-i.patch
Patch225: 0225-ifcfg-write-ifcfg-only-write-DEVICE-for-non-kernel-n.patch
Patch226: 0226-fips-add-libfreeblpriv3.so-and-libfreeblpriv3.chk.patch
Patch227: 0227-fips-remove-c-p-and.patch
Patch228: 0228-net-lib.sh-parse_iscsi_root-fix-target-parsing.patch
Patch229: 0229-ssh-client-s-key-key.patch
Patch230: 0230-cms-cms-write-ifcfg.sh-turn-SUBCHANNELS-into-lowerca.patch
Patch231: 0231-40network-Fix-the-syntax-to-correct-the-judgment-sen.patch
Patch232: 0232-systemd-add-90-vconsole.rules.patch
Patch233: 0233-network-add-support-for-comma-separated-autoconf-opt.patch
Patch234: 0234-test-add-fs-lib-to-dracut-module-list.patch
Patch235: 0235-network-enhance-team-support.patch
Patch236: 0236-dracut-fixed-module-dependency-handling.patch
Patch237: 0237-network-net-lib.sh-parse_iscsi_root-fix-c-p-bug.patch
Patch238: 0238-network-ifup-source-team-info-if-present.patch
Patch239: 0239-fips-add-drbg-kernel-module.patch
Patch240: 0240-network-do-not-destroy-the-team-interface-on-teamd-s.patch
Patch241: 0241-do-not-symlink-var-log-to-run-log.patch
Patch242: 0242-dracut.sh-add-tmpfilesdir-to-install-files-to-usr-li.patch
Patch243: 0243-fips-add-some-s390-kernel-modules.patch
Patch244: 0244-rearrange-fips-module-ordering-due-to-zlib.patch
Patch245: 0245-network-dhcp-wait_for_ipv6_dad-in-PREINIT6.patch
Patch246: 0246-network-net-lib.sh-iface_has_link-wait-5s-for-the-ca.patch
Patch247: 0247-dracut-pre-pivot-call-udevadm-settle-one-last-time.patch
Patch248: 0248-dracut.sh-add-devices-with-x-initrd.mount-in-etc-fst.patch
Patch249: 0249-crypt-add-drbg-kernel-module.patch
Patch250: 0250-dracut-lib.sh-info-output-info-to-stderr.patch
Patch251: 0251-Factor-out-all-the-type-V-commands.patch
Patch252: 0252-network-dhclient-script.sh-add-RENEW-REBIND.patch
Patch253: 0253-network-dhclient-script.sh-make-IPv4-DHCP-lease-time.patch
Patch254: 0254-network-don-t-use-ifup-m.patch
Patch255: 0255-nfs-parse-nfsroot.sh-don-t-unset-netroot-if-not-nfs.patch
Patch256: 0256-Change-the-fs_passno-of-nfs-to-0.patch
Patch257: 0257-nfs-nfs-lib.sh-add-anaconda_nfsv6_to_var.patch
Patch258: 0258-splitup-dracut-init.sh-from-dracut-functions.sh.patch
Patch259: 0259-Adding-support-for-read-write-filesystem-images.patch
Patch260: 0260-dmsquash-Add-rd.live.overlay.thin.patch
Patch261: 0261-dmsquash-live-setup-the-images-in-run-initramfs.patch
Patch262: 0262-dmsquash-Add-squashfs-support-to-rd.live.fsimg.patch
Patch263: 0263-doc-Add-a-minimal-rd.live.overlay-documentation.patch
Patch264: 0264-50drm-add-hyperv_fb-kernel-module.patch
Patch265: 0265-kernel-modules-install-all-HID-drivers.patch
Patch266: 0266-network-add-options-to-tweak-timeouts.patch
Patch267: 0267-fcoe-start-with-fcoemon-instead-of-fipvlan.patch
Patch268: 0268-fcoe-EDD-parsing-patch-for-i40e.patch
Patch269: 0269-fcoe-fcoe-edd.sh-cleanup-the-script.patch
Patch270: 0270-livenet-don-t-attempt-to-download-the-image-for-ever.patch
Patch271: 0271-95fcoe-uefi-Test-for-EFI-firmware.patch
Patch272: 0272-base-Don-t-wait-for-swap-devices-in-host-only-mode.patch
Patch273: 0273-dracut-functions.sh-check-if-dinfo-is-a-function.patch
Patch274: 0274-dmsquash-live-do-not-abort-if-user-pressed-ESC-on-ch.patch
Patch275: 0275-Add-rd.live.overlay.size-option.patch
Patch276: 0276-base-dracut-lib.sh-read-proc-cmdline-with-multiple-l.patch
Patch277: 0277-multipath-install-all-multipath-path-selector-kernel.patch
Patch278: 0278-man-page-changed-grub.conf-to-grub2.cfg.patch
Patch279: 0279-lsinitrd.sh-ignore-cat-write-error-Broken-pipe.patch
Patch280: 0280-network-setup-gateway-after-setting-up-resolv.conf.patch
Patch281: 0281-Add-support-for-ethernet-point-to-point-connections-.patch
Patch282: 0282-lvm-add-cache-tools-for-dm-cache-usage.patch
Patch283: 0283-crypt-install-drbg-unconditionally-in-hostonly-mode.patch
Patch284: 0284-dracut-functions.sh-degrade-info-about-missing-binar.patch
Patch285: 0285-dracut-functions.sh-require_binaries-clarify-message.patch
Patch286: 0286-dracut-systemd-dracut-initqueue.sh-be-verbose-about-.patch
Patch287: 0287-nfs-parse-nfsroot.sh-silence-useless-warning-if-netr.patch
Patch288: 0288-network-parse-ip-opts.sh-assume-rd.neednet-for-multi.patch
Patch289: 0289-systemd-add-systemd-run-and-systemd-escape.patch
Patch290: 0290-network-net-lib.sh-add-is_ip.patch
Patch291: 0291-iscsi-integrate-with-systemd-and-improve-robustness.patch
Patch292: 0292-dracut.cmdline.7.asc-document-rd.iscsi.waitnet-and-r.patch
Patch293: 0293-iscsi-parse-iscsiroot.sh-use-iBFT-initiator-name.patch
Patch294: 0294-iscsi-iscsiroot.sh-handle-timeout-with-all-interface.patch
Patch295: 0295-TEST-30-ISCSI-dhcpd.conf-set-the-LUN.patch
Patch296: 0296-TEST-30-ISCSI-switch-to-scsi-target-utils.patch
Patch297: 0297-iscsi-iscsiroot.sh-systemd-run-does-not-understand-n.patch
Patch298: 0298-iscsi-module-setup.sh-iscsid-need-var-lib-iscsi.patch
Patch299: 0299-TEST-30-ISCSI-fix-test-to-run-with-new-iscsi.patch
Patch300: 0300-dracut-logger.sh-log-also-rest-of-line-without-retur.patch
Patch301: 0301-iscsi-handle-timeout-case-better.patch
Patch302: 0302-base-dracut-lib.sh-vinfo-vwarn-handle-lines-without-.patch
Patch303: 0303-systemd-dracut-cmdline.sh-print-out-cmdline-in-one-l.patch
Patch304: 0304-network-ifup.sh-let-dhcp-client-run-in-the-backgroun.patch
Patch305: 0305-network-ifup.sh-arping-for-static-IPv4-addresses.patch
Patch306: 0306-network-parse-ip-opts.sh-bind-enx-interface-to-the-M.patch
Patch307: 0307-udev-rules-install-40-redhat.rules.patch
Patch308: 0308-fcoe-cleanup-lldpad.patch
Patch309: 0309-network-net-lib.sh-ibft-unset-gateway-or-dns-if-set-.patch
Patch310: 0310-network-dhclient-exit-arping-immediatly-if-we-get-an.patch
Patch311: 0311-dmraid-only-scan-once-because-of-one-device.patch
Patch312: 0312-test-TEST-04-FULL-SYSTEMD-create-root.sh-modprobe-bt.patch
Patch313: 0313-TEST-15-BTRFS-load-btrfs-module.patch
Patch314: 0314-network-ifup.sh-do_static-error-out-if-interface-cou.patch
Patch315: 0315-network-ifup.sh-do_static-error-out-if-IP-is-already.patch
Patch316: 0316-crypt-module-setup.sh-fixed-parsing-crypttab-with-no.patch
Patch317: 0317-TEST-30-ISCSI-add-rd.scsi.firmware.patch
Patch318: 0318-initqueue-add-online-queue.patch
Patch319: 0319-dracut.spec-raise-systemd-requirement-to-219.patch
Patch320: 0320-iscsi-iscsiroot.sh-handle-firmware-in-online-queue.patch
Patch321: 0321-iscsi-parse-iscsiroot.sh-do-not-modify-netroot.patch
Patch322: 0322-iscsi-parse-iscsiroot.sh-handle-firmware-in-online-q.patch
Patch323: 0323-iscsi-parse-iscsiroot.sh-restart-iscsid-with-try-res.patch
Patch324: 0324-network-ifup.sh-save-return-value-of-ifup.patch
Patch325: 0325-network-also-mark-interfaces-up-with-their-MAC.patch
Patch326: 0326-network-ifup.sh-only-use-dhcp-on-unknown-interfaces-.patch
Patch327: 0327-multipath-add-hostonly-multipath.conf.patch
Patch328: 0328-cms-cmsifup.sh-do-not-use-ifup-m.patch
Patch329: 0329-network-ifup-fix-warning-about-not-bringing-interfac.patch
Patch330: 0330-network-net-lib.sh-fix-wait_for_if_up.patch
Patch331: 0331-network-net-lib.sh-fix-IPv6-route-parsing.patch
Patch332: 0332-network-ifup-do-DHCP-for-BOOTDEV.patch
Patch333: 0333-qemu-add-spapr-vscsi-kernel-module.patch
Patch334: 0334-livenet-livenetroot.sh-fixed-error-condition.patch
Patch335: 0335-iscsi-parse-iscsiroot.sh-only-set-initiator-name-if-.patch
Patch336: 0336-network-move-ip-ibft-handling-to-network-module.patch
Patch337: 0337-dracut.usage.asc-update-man-page.patch
Patch338: 0338-network-dhclient-script.sh-fix-RENEW.patch
Patch339: 0339-network-add-all_ifaces_setup.patch
Patch340: 0340-iscsi-iscsiroot.sh-use-all_ifaces_setup.patch
Patch341: 0341-network-netroot.sh-better-handling-of-netroot-and-dh.patch
Patch342: 0342-iscsi-iscsiroot.sh-handle-iscsi_firmware-in-online-a.patch
Patch343: 0343-i18n-check-for-i18n_install_all-yes-rather-than-bein.patch
Patch344: 0344-dracut.sh-add-command-line-option-for-install_i18_al.patch
Patch345: 0345-dracut.sh-do-not-create-microcode-if-no-firmware-is-.patch
Patch346: 0346-scsi-parse-iscsiroot.sh-call-modprobe-with-b.patch
Patch347: 0347-iscsi-parse-iscsiroot.sh-correct-handling-if-netroot.patch
Patch348: 0348-dracut.sh-no-microcode-if-get_ucode_file-returns-emp.patch
Patch349: 0349-network-wait_for_ifup-handle-NO-CARRIER-output.patch
Patch350: 0350-base-dracut-lib.sh-info-be-more-quiet.patch
Patch351: 0351-dracut-functions.sh-avoid-tokenizing-ldconfig-output.patch
Patch352: 0352-dracut.sh-fixed-typo-in-microcode-generation.patch
Patch353: 0353-90qemu-fixed-systemd-detect-virt-output-parsing.patch
Patch354: 0354-ifcfg-write-ifcfg.sh-unset-vlan.patch
Patch355: 0355-base-dracut-lib.sh-getargs-don-t-return-1-for-empty-.patch
Patch356: 0356-ifcfg-write-ifcfg.sh-don-t-bind-interface-if-physica.patch
Patch357: 0357-network-ifup.sh-skip-empty-nameserver-values.patch
Patch358: 0358-write-ifcfg-fix-creating-configuration-for-VLAN.patch
Patch359: 0359-90qemu-also-add-ibmvscsi-on-qemu.patch
Patch360: 0360-Don-t-call-udevadm-control-exit-in-systemd-mode.patch
Patch361: 0361-iscsi-iscsiroot.sh-better-put-variables-in-quotes.patch
Patch362: 0362-network-fix-carrier-detection.patch
Patch363: 0363-dracut-functions.sh-fix-check_vol_slaves-volume-grou.patch
Patch364: 0364-multipath-fix-majmin_to_mpath_dev.patch
Patch365: 0365-90lvm-Install-dm-snapshot-module.patch
Patch366: 0366-systemd-add-wheel-and-adm-to-passwd-and-group.patch
Patch367: 0367-dracut-add-tar-and-dd-requirement.patch
Patch368: 0368-dracut.sh-for-microcode-generation-skip-gpg-files.patch
Patch369: 0369-documentation-hostonly-i18n-no-hostonly-i18n-i18n_in.patch
Patch370: 0370-network-dhclient-script.sh-add-classless-static-rout.patch
Patch371: 0371-network-if-rd.neednet-0-we-don-t-need-a-bootdev.patch
Patch372: 0372-url-lib-url-lib.sh-nfs_fetch_url-pass-file-directory.patch
Patch373: 0373-95iscsi-Autodetect-iSCSI-firmware.patch
Patch374: 0374-95iscsi-Install-libgcc_s-library.patch
Patch375: 0375-95iscsi-Fixup-bnx2i-offload-booting.patch
Patch376: 0376-95iscsi-More-empty-cmdline-fixes.patch
Patch377: 0377-95iscsi-parse-output-from-iscsiadm-correctly.patch
Patch378: 0378-shutdown-guard-against-read-only-run.patch
Patch379: 0379-kernel-modules-increase-SDHCI-driver-inclusion.patch
Patch380: 0380-dracut-functions.sh-add-str_starts-and-str_ends.patch
Patch381: 0381-test-remove-dash-module-as-it-is-not-available-in-RH.patch
Patch382: 0382-test-NBD-add-checks-for-needed-binaries.patch
Patch383: 0383-dracut.spec-add-a-tag-with-the-current-version.patch
Patch384: 0384-more-dash-removal.patch
Patch385: 0385-network-add-73-idrac.rules-udev-rules.patch
Patch386: 0386-base-dracut-lib.sh-add-trim.patch
Patch387: 0387-network-net-genrules.sh-generate-rules-for-all-inter.patch
Patch388: 0388-ifup-setup-bridge-bonding-and-teaming-only-once.patch
Patch389: 0389-network-parse-bond.sh-handle-multiple-bond-interface.patch
Patch390: 0390-TEST-50-MULTINIC-add-multiple-bond-tests.patch
Patch391: 0391-network-dhclient.conf-add-missing-commata.patch
Patch392: 0392-systemd-add-.slice-and-make-reboot-work.patch
Patch393: 0393-test-TEST-02-systemd-use-marker-disk-for-successfull.patch
Patch394: 0394-Disable-early-microcode-for-non-x86-architecures.patch
Patch395: 0395-fcoe-check-if-needed-for-hostonly.patch
Patch396: 0396-dracut-only-use-one-tmpdir.patch
Patch397: 0397-add-install-optional-and-install_optional_items.patch
Patch398: 0398-dracut-nbd-Only-complain-of-missing-binary-in-hoston.patch
Patch399: 0399-Replace-echo-n-with-printf-in-code-with-a-bin-sh-she.patch
Patch400: 0400-Reset-IFS-variable.patch
Patch401: 0401-Defer-modprobe-of-HW-modules-until-udev-is-running.patch
Patch402: 0402-95fcoe-start-lldpad-separately.patch
Patch403: 0403-95fcoe-skip-VLAN-devices-in-fcoe-up.patch
Patch404: 0404-95fcoe-Store-current-configuration-in-dracut-cmdline.patch
Patch405: 0405-95fcoe-update-fcoe-interface-check.patch
Patch406: 0406-fcoe-up-remove-initlog-logic.patch
Patch407: 0407-network-net-lib.sh-correctly-set-mac-address-for-ip-.patch
Patch408: 0408-network-support-macaddr-in-brackets.patch
Patch409: 0409-test-don-t-call-ldconfig-with-path-separator.patch
Patch410: 0410-network-set-MTU-and-MACADDR-for-dhcp-and-auto6.patch
Patch411: 0411-test-add-TEST-60-MTUMAC.patch
Patch412: 0412-network-net-lib.sh-parse_ifname_opts-support-21-byte.patch
Patch413: 0413-network-net-lib.sh-wait_for_ipv6_dad-simplify-ip-cal.patch
Patch414: 0414-systemd-ensure-journal-is-volatile.patch
Patch415: 0415-network-dhcp-before-parsing-specified-dns-through-cm.patch
Patch416: 0416-network-net-lib.sh-delete-duplicated-DNS-items-from-.patch
Patch417: 0417-40network-Update-iBFT-scanning-code-to-handle-IPv6.patch
Patch418: 0418-network-net-lib.sh-auto6-wait-for-route-ra.patch
Patch419: 0419-network-differ-between-ipv6-local-and-global-tentati.patch
Patch420: 0420-network-flush-only-IPv4-addresses-on-configuration.patch
Patch421: 0421-network-wait_for_ipv6_auto-wait-for-all-tentative-ad.patch
Patch422: 0422-dracut-systemd-dracut-cmdline.sh-Don-t-error-out-if-.patch
Patch423: 0423-virtfs-use-systemd-generator.patch
Patch424: 0424-add-rd.device.timeout-seconds-parameter.patch
Patch425: 0425-test-TEST-04-systemd-fixup-test.patch
Patch426: 0426-test-TEST-12-RAID-DEG-add-rd.device.timeout.patch
Patch427: 0427-99base-init.sh-break-the-initqueue-if-emergency-shel.patch
Patch428: 0428-systemd-dracut-initqueue.sh-don-t-go-into-emergency.patch
Patch429: 0429-systemd-let-booting-work-after-exiting-emergency.patch
Patch430: 0430-TEST-13-ENC-RAID-LVM-add-rd.device.timeout-40.patch
Patch431: 0431-TEST-14-IMSM-add-rd.device.timeout.patch
Patch432: 0432-lsinitrd-Suppress-cat-write-error-Broken-pipe.patch
Patch433: 0433-network-support-multiple-vlan-team-bridge-and-bond.patch
Patch434: 0434-TEST-70-BONDBRIDGETEAMVLAN-add-testcase-for-testsuit.patch
Patch435: 0435-dracut.spec-remove-dd.patch
Patch436: 0436-watchdog-Do-not-add-hooks-if-systemd-module-is-inclu.patch
Patch437: 0437-watchdog-install-module-for-active-watchdog.patch
Patch438: 0438-watchdog-ensure-that-module-is-loaded-as-early-as-po.patch
Patch439: 0439-watchdog-module-setup.sh-rewrite.patch
Patch440: 0440-watchdog-clean-return-of-installkernel.patch
Patch441: 0441-watchdog-start-traversing-the-device-tree-from-the-r.patch
Patch442: 0442-dracut.spec-remove-trailing-space.patch
Patch443: 0443-fips-use-lib-modules-uname-r-modules.fips.patch
Patch444: 0444-fips-add-sha1-mb-to-fips-modules.patch
Patch445: 0445-nfs-install-all-nfs-modules-non-hostonly.patch
Patch446: 0446-dracut.sh-extend-host_fs_types-with-filesystems.patch
Patch447: 0447-lvm-include-etc-lvm-lvm_-host_tag-.conf.patch
Patch448: 0448-add-rd.emergency-reboot-poweroff-halt.patch
Patch449: 0449-fips-module-add-missing-spaces.patch
Patch450: 0450-fips-remove-sha1-mb.patch
Patch451: 0451-dracut-functions.sh-catch-all-lvm-slaves.patch
Patch452: 0452-systemd-dracut-cmdline.sh-unset-UNSET-root.patch
Patch453: 0453-network-ibft-put-IPv6-IP-in-brackets.patch
Patch454: 0454-url-lib-ca-bundle.crt-changed-to-a-symlink.patch
Patch455: 0455-dracut.sh-document-hostonly-i18n-and-no-hostonly-i18.patch
Patch456: 0456-dracut.cmdline.7.asc-document-rd.shell-0-for-rd.emer.patch
Patch457: 0457-nfs-install-more-kernel-modules.patch
Patch458: 0458-TEST-16-DMSQUASH-add-sr_mod.patch
Patch459: 0459-fcoe-only-install-etc-hba.conf-it-it-exists.patch
Patch460: 0460-network-parse-ip-opts-be-more-liberal-to-multiple-ip.patch
Patch461: 0461-network-fix-dhcp-classless_static_routes.patch
Patch462: 0462-network-do-not-check-firmware-boot-selected-flag.patch
Patch463: 0463-add-README.md.patch
Patch464: 0464-README.md-update.patch
Patch465: 0465-test-test-rpms.txt-add-list-of-rpms-to-install.patch
Patch466: 0466-test-remove-sudo-calls.patch
Patch467: 0467-TEST-ISCSI-fix-command-check.patch
Patch468: 0468-test-test-rpms.txt-add-gzip.patch
Patch469: 0469-TEST-99-RPM-ignore-openldap-leftovers.patch
Patch470: 0470-test-Makefile-proper-return-code-for-make-check.patch
Patch471: 0471-test-rpms.txt-add-dhcp.patch
Patch472: 0472-TEST-30-ISCSI-test.sh-set-device-timeout.patch
Patch473: 0473-TEST-70-BONDBRIDGETEAMVLAN-fix-server-ip-setup.patch
Patch474: 0474-testsuite-guard-against-kernel-panic.patch
Patch475: 0475-TEST-99-RPM-speedup-test.patch
Patch476: 0476-fips-module-setup.sh-also-blacklist-the-alias-resolv.patch
Patch477: 0477-fips-fips.sh-also-check-for-crypto-mod-in-proc-crypt.patch
Patch478: 0478-README.md-correct-CentOS-build-job-link.patch
Patch479: 0479-README.md-correct-CentOS-build-job-link.patch
Patch480: 0480-README.md-correct-CentOS-build-job-link.patch
Patch481: 0481-fips-module-setup.sh-make-tcrypt-non-optional.patch
Patch482: 0482-dracut.sh-skip-empty-lines-in-proc-modules.patch
Patch483: 0483-dracut.conf.5.asc-add-Warning-about-leading-and-trai.patch
Patch484: 0484-systemd-dracut-cmdline.sh-unset-UNSET-root.patch
Patch485: 0485-add-dracut.pc-pkg-config-file.patch
Patch486: 0486-dracut.sh-fail-hard-if-we-find-modules-and-modules.d.patch
Patch487: 0487-99base-add-memtrace-ko.sh-to-debug-kernel-module-lar.patch
Patch488: 0488-99base-apply-kernel-module-memory-debug-support.patch
Patch489: 0489-dracut.cmdline.7.asc-update-document-for-rd.memdebug.patch
Patch490: 0490-testsuite-add-rd.memdebug-4-in-TEST-01-BASIC-to-test.patch
Patch491: 0491-dracut-functions.sh-remove-duplicate-declaratio-of-l.patch
Patch492: 0492-network-ifup-write-override-file-before-dhcp_do.patch
Patch493: 0493-write-ifcfg-do-t-write-MTU-twice-for-regular-eth-dev.patch
Patch494: 0494-ifup-don-t-ifup-team-master-indefinitely.patch
Patch495: 0495-95ssh-client-attempt-to-copy-UserKnownHostsFile-to-k.patch
Patch496: 0496-udev-rules-pull-in-40-redhat-cpu-hotplug.rules.patch
Patch497: 0497-Revert-systemd-dracut-initqueue.sh-don-t-go-into-eme.patch
Patch498: 0498-module-setup.sh-Add-ARM-specific-driver-to-initramfs.patch
Patch499: 0499-Add-check-for-aarch64-to-the-arm-kernel-module-list.patch
Patch500: 0500-fips-add-cmac-kernel-module.patch
Patch501: 0501-95iscsi-run-iscsistart-with-DefaultDependencies-no.patch
Patch502: 0502-01fips-add-authenec-module.patch
Patch503: 0503-fips-honor-BOOT_IMAGE-variable-for-HMAC-check-of-the.patch
Patch504: 0504-Try-BOOT_IMAGE-and-fallback-to-vmlinuz-KERNEL.patch
Patch505: 0505-dracut.cmdline-remove-extra-from-ip-doc.patch
Patch506: 0506-10i18n-parse-i18n.sh-parse-rd.vconsole-and-rd.locale.patch
Patch507: 0507-dracut.sh-introduce-no-hostonly-default-device-argum.patch
Patch508: 0508-rootfs-block-module-setup.sh-check-root_dev-in-cmdli.patch
Patch509: 0509-dracut.sh-gather-host_modalias-when-no-hostonly-defa.patch
Patch510: 0510-Add-NTFS-support-to-90dmsquash-live-module.patch
Patch511: 0511-add-90multipath-hostonly-module.patch
Patch512: 0512-spec-add-missing-modules.patch
Patch513: 0513-lvm_scan.sh-use-K-when-calling-lvchange.patch
Patch514: 0514-fcoe-Allow-more-time-for-the-bnx2x-link-negotiation-.patch
Patch515: 0515-add-mtu-parameter-for-bond-options.patch
Patch516: 0516-Fix-MTU-on-bond-interface.patch
Patch517: 0517-dracut.sh-source-dracut-version.sh-earlier-than-drac.patch
Patch518: 0518-network-Only-bring-up-wired-network-interfaces.patch
Patch519: 0519-network-ifup-don-t-arping-for-point-to-point-connect.patch
Patch520: 0520-guard-arrays-with.patch
Patch521: 0521-dracut.sh-for_each_host_xx-function-should-indicate-.patch
Patch522: 0522-dracut.sh-remove-quotes-from-install_items-and-insta.patch
Patch523: 0523-Support-Microcode-Updates-for-AMD-CPU-Family-0x17.patch
Patch524: 0524-Simplify-microcode-lookup-for-for-AMD-CPUs.patch
Patch525: 0525-01fips-Fix-creating-path-to-.hmac-of-kernel-based-on.patch
Patch526: 0526-01fips-Properly-fix-creating-path-to-.hmac-of-kernel.patch
Patch527: 0527-dracut-Ajusting-variables-name-for-include.patch
Patch528: 0528-90dmsquash-live-we-don-t-have-find_binary-inside-ini.patch
Patch529: 0529-90dmsquash-live-ntfs-fix-depends.patch
Patch530: 0530-dracut-lib.sh-dev_unit_name-use-systemd-escape-if-av.patch
Patch531: 0531-Align-dev_unit_name-with-systemd-s-function.patch
Patch532: 0532-base-dracut-lib.sh-remove-bashism.patch
Patch533: 0533-base-dracut-lib.sh-dev_unit_name-guard-against-dev-b.patch
Patch534: 0534-90lvm-always-add-dm-snapshot.patch

Patch900: 0001-dracut.sh-workaround-broken-read-from-proc-modules.patch


BuildRequires: bash git

%if 0%{?fedora} || 0%{?rhel}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
%endif
%if 0%{?fedora}
BuildRequires: bash-completion
BuildRequires: pkgconfig
%endif

%if 0%{?suse_version}
BuildRoot: %{_tmppath}/%{name}-%{version}-build
%endif

%if 0%{?fedora} || 0%{?rhel}
BuildRequires: docbook-style-xsl docbook-dtds libxslt
%endif

%if 0%{?suse_version}
-BuildRequires: docbook-xsl-stylesheets libxslt
%endif

BuildRequires: asciidoc

%if 0%{?fedora} > 12 || 0%{?rhel}
# no "provides", because dracut does not offer
# all functionality of the obsoleted packages
Obsoletes: mkinitrd <= 6.0.93
Obsoletes: mkinitrd-devel <= 6.0.93
Obsoletes: nash <= 6.0.93
Obsoletes: libbdevid-python <= 6.0.93
%endif

%if 0%{?fedora} > 16 || 0%{?rhel} > 6
BuildRequires: systemd-units
%endif

%if 0%{?suse_version} > 9999
Obsoletes: mkinitrd < 2.6.1
Provides: mkinitrd = 2.6.1
%endif

Obsoletes: dracut-kernel < 005
Provides:  dracut-kernel = %{version}-%{release}

Obsoletes: dracut <= 029
Obsoletes: dracut-norescue
Provides:  dracut-norescue

Requires: bash >= 4
Requires: coreutils
Requires: cpio
Requires: filesystem >= 2.1.0
Requires: findutils
Requires: grep
Requires: hardlink
Requires: gzip xz
Requires: kmod
Requires: sed
Requires: kpartx
Requires: tar

%if 0%{?fedora} || 0%{?rhel} > 6
Requires: util-linux >= 2.21
Requires: systemd >= 219
Requires: procps-ng
Conflicts: grubby < 8.23
%else
Requires: udev > 166
Requires: util-linux-ng >= 2.21
%endif

%if 0%{?fedora} || 0%{?rhel} > 6
Conflicts: initscripts < 8.63-1
Conflicts: plymouth < 0.8.0-0.2009.29.09.19.1
%endif

Conflicts: mdadm < 3.2.6-14

%description
dracut contains tools to create a bootable initramfs for 2.6 Linux kernels.
Unlike existing implementations, dracut does hard-code as little as possible
into the initramfs. dracut contains various modules which are driven by the
event-based udev. Having root on MD, DM, LVM2, LUKS is supported as well as
NFS, iSCSI, NBD, FCoE with the dracut-network package.

%package network
Summary: dracut modules to build a dracut initramfs with network support
Requires: %{name} = %{version}-%{release}
Requires: iputils
Requires: iproute
Requires: dhclient
Obsoletes: dracut-generic < 008
Provides:  dracut-generic = %{version}-%{release}

%description network
This package requires everything which is needed to build a generic
all purpose initramfs with network support with dracut.

%if 0%{?fedora} || 0%{?rhel} >= 6 || 0%{?suse_version}
%package fips
Summary: dracut modules to build a dracut initramfs with an integrity check
Requires: %{name} = %{version}-%{release}
Requires: hmaccalc
%if 0%{?rhel} > 5
# For Alpha 3, we want nss instead of nss-softokn
Requires: nss
%else
Requires: nss-softokn
%endif
Requires: nss-softokn-freebl

%description fips
This package requires everything which is needed to build an
initramfs with dracut, which does an integrity check.
%endif

%package fips-aesni
Summary: dracut modules to build a dracut initramfs with an integrity check with aesni-intel
Requires: %{name}-fips = %{version}-%{release}

%description fips-aesni
This package requires everything which is needed to build an
initramfs with dracut, which does an integrity check and adds the aesni-intel kernel module.

%package caps
Summary: dracut modules to build a dracut initramfs which drops capabilities
Requires: %{name} = %{version}-%{release}
Requires: libcap

%description caps
This package requires everything which is needed to build an
initramfs with dracut, which drops capabilities.

%package config-generic
Summary: dracut configuration to turn off hostonly image generation
Requires: %{name} = %{version}-%{release}
Obsoletes: dracut-nohostonly
Provides:  dracut-nohostonly

%description config-generic
This package provides the configuration to turn off the host specific initramfs
generation with dracut and generates a generic image by default.

%package config-rescue
Summary: dracut configuration to turn on rescue image generation
Requires: %{name} = %{version}-%{release}
Obsoletes: dracut <= 029

%description config-rescue
This package provides the configuration to turn on the rescue initramfs
generation with dracut.

%package tools
Summary: dracut tools to build the local initramfs
Requires: %{name} = %{version}-%{release}

%description tools
This package contains tools to assemble the local initrd and host configuration.

%prep
%setup -q -n %{name}-%{version}

%if %{defined PATCH1}
git init
git config user.email "dracut-maint@redhat.com"
git config user.name "Fedora dracut team"
git add .
git commit -a -q -m "%{version} baseline."

# Apply all the patches.
git am -p1 %{patches}
git tag %{version}
%endif

%build
%configure --systemdsystemunitdir=%{_unitdir} --bashcompletiondir=$(pkg-config --variable=completionsdir bash-completion) --libdir=%{_prefix}/lib

make %{?_smp_mflags}

%install
%if 0%{?fedora} || 0%{?rhel}
rm -rf -- $RPM_BUILD_ROOT
%endif
make %{?_smp_mflags} install \
     DESTDIR=$RPM_BUILD_ROOT \
     libdir=%{_prefix}/lib

echo "DRACUT_VERSION=%{version}-%{release}" > $RPM_BUILD_ROOT/%{dracutlibdir}/dracut-version.sh

%if 0%{?fedora} == 0 && 0%{?rhel} == 0 && 0%{?suse_version} == 0
rm -fr -- $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/01fips
rm -fr -- $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/02fips-aesni
%endif

%if %{defined _unitdir}
# for systemd, better use systemd-bootchart
rm -fr -- $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/00bootchart
%endif

# we do not support dash in the initramfs
rm -fr -- $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/00dash

# remove gentoo specific modules
rm -fr -- $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/50gensplash

%if %{defined _unitdir}
# with systemd IMA and selinux modules do not make sense
rm -fr -- $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/96securityfs
rm -fr -- $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/97masterkey
rm -fr -- $RPM_BUILD_ROOT/%{dracutlibdir}/modules.d/98integrity
%endif

mkdir -p $RPM_BUILD_ROOT/boot/dracut
mkdir -p $RPM_BUILD_ROOT/var/lib/dracut/overlay
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/log
touch $RPM_BUILD_ROOT%{_localstatedir}/log/dracut.log
mkdir -p $RPM_BUILD_ROOT%{_sharedstatedir}/initramfs

%if 0%{?fedora} || 0%{?rhel} || 0%{?suse_version}
install -m 0644 dracut.conf.d/fedora.conf.example $RPM_BUILD_ROOT%{dracutlibdir}/dracut.conf.d/01-dist.conf
install -m 0644 dracut.conf.d/fips.conf.example $RPM_BUILD_ROOT%{dracutlibdir}/dracut.conf.d/40-fips.conf
%endif

%if 0%{?suse_version}
install -m 0644 dracut.conf.d/suse.conf.example   $RPM_BUILD_ROOT%{dracutlibdir}/dracut.conf.d/01-dist.conf
%endif

%if 0%{?fedora} <= 12 && 0%{?rhel} < 6 && 0%{?suse_version} <= 9999
rm -f -- $RPM_BUILD_ROOT%{_bindir}/mkinitrd
rm -f -- $RPM_BUILD_ROOT%{_bindir}/lsinitrd
%endif

%if 0%{?fedora} || 0%{?rhel} > 6
# FIXME: remove after F19
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/kernel/postinst.d
install -m 0755 51-dracut-rescue-postinst.sh $RPM_BUILD_ROOT%{_sysconfdir}/kernel/postinst.d/51-dracut-rescue-postinst.sh

echo 'hostonly="no"' > $RPM_BUILD_ROOT%{dracutlibdir}/dracut.conf.d/02-generic-image.conf
echo 'dracut_rescue_image="yes"' > $RPM_BUILD_ROOT%{dracutlibdir}/dracut.conf.d/02-rescue.conf
%endif

%if 0%{?fedora} || 0%{?rhel} || 0%{?suse_version}
> $RPM_BUILD_ROOT/etc/system-fips
%endif

# create compat symlink
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
ln -sr $RPM_BUILD_ROOT%{_bindir}/dracut $RPM_BUILD_ROOT%{_sbindir}/dracut

%clean
rm -rf -- $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README HACKING TODO COPYING AUTHORS NEWS dracut.html dracut.png dracut.svg
%{_bindir}/dracut
# compat symlink
%{_sbindir}/dracut
%{_datadir}/bash-completion/completions/dracut
%{_datadir}/bash-completion/completions/lsinitrd
%if 0%{?fedora} > 12 || 0%{?rhel} >= 6 || 0%{?suse_version} > 9999
%{_bindir}/mkinitrd
%{_bindir}/lsinitrd
%endif
%dir %{dracutlibdir}
%dir %{dracutlibdir}/modules.d
%{dracutlibdir}/dracut-init.sh
%{dracutlibdir}/dracut-functions.sh
%{dracutlibdir}/dracut-functions
%{dracutlibdir}/dracut-version.sh
%{dracutlibdir}/dracut-logger.sh
%{dracutlibdir}/dracut-initramfs-restore
%{dracutlibdir}/dracut-install
%{dracutlibdir}/skipcpio
%config(noreplace) %{_sysconfdir}/dracut.conf
%if 0%{?fedora} || 0%{?suse_version} || 0%{?rhel}
%{dracutlibdir}/dracut.conf.d/01-dist.conf
%endif
%dir %{_sysconfdir}/dracut.conf.d
%dir %{dracutlibdir}/dracut.conf.d
%{_datadir}/pkgconfig/dracut.pc
%{_mandir}/man8/dracut.8*
%{_mandir}/man8/*service.8*
%if 0%{?fedora} > 12 || 0%{?rhel} >= 6 || 0%{?suse_version} > 9999
%{_mandir}/man8/mkinitrd.8*
%{_mandir}/man1/lsinitrd.1*
%endif
%{_mandir}/man7/dracut.kernel.7*
%{_mandir}/man7/dracut.cmdline.7*
%{_mandir}/man7/dracut.modules.7*
%{_mandir}/man7/dracut.bootup.7*
%{_mandir}/man5/dracut.conf.5*
%if %{defined _unitdir}
%{dracutlibdir}/modules.d/00systemd-bootchart
%else
%{dracutlibdir}/modules.d/00bootchart
%endif
%{dracutlibdir}/modules.d/00bash
%{dracutlibdir}/modules.d/03modsign
%{dracutlibdir}/modules.d/03rescue
%{dracutlibdir}/modules.d/04watchdog
%{dracutlibdir}/modules.d/05busybox
%{dracutlibdir}/modules.d/10i18n
%{dracutlibdir}/modules.d/30convertfs
%{dracutlibdir}/modules.d/45url-lib
%{dracutlibdir}/modules.d/50drm
%{dracutlibdir}/modules.d/50plymouth
%{dracutlibdir}/modules.d/80cms
%{dracutlibdir}/modules.d/90bcache
%{dracutlibdir}/modules.d/90btrfs
%{dracutlibdir}/modules.d/90crypt
%{dracutlibdir}/modules.d/90dm
%{dracutlibdir}/modules.d/90dmraid
%{dracutlibdir}/modules.d/90dmsquash-live
%{dracutlibdir}/modules.d/90dmsquash-live-ntfs
%{dracutlibdir}/modules.d/90kernel-modules
%{dracutlibdir}/modules.d/90lvm
%{dracutlibdir}/modules.d/90mdraid
%{dracutlibdir}/modules.d/90multipath
%{dracutlibdir}/modules.d/90multipath-hostonly
%{dracutlibdir}/modules.d/90qemu
%{dracutlibdir}/modules.d/91crypt-gpg
%{dracutlibdir}/modules.d/91crypt-loop
%{dracutlibdir}/modules.d/95debug
%{dracutlibdir}/modules.d/95resume
%{dracutlibdir}/modules.d/95rootfs-block
%{dracutlibdir}/modules.d/95dasd
%{dracutlibdir}/modules.d/95dasd_mod
%{dracutlibdir}/modules.d/95fstab-sys
%{dracutlibdir}/modules.d/95zfcp
%{dracutlibdir}/modules.d/95terminfo
%{dracutlibdir}/modules.d/95udev-rules
%{dracutlibdir}/modules.d/95virtfs
%if %{undefined _unitdir}
%{dracutlibdir}/modules.d/96securityfs
%{dracutlibdir}/modules.d/97masterkey
%{dracutlibdir}/modules.d/98integrity
%endif
%{dracutlibdir}/modules.d/97biosdevname
%{dracutlibdir}/modules.d/98ecryptfs
%{dracutlibdir}/modules.d/98pollcdrom
%{dracutlibdir}/modules.d/98selinux
%{dracutlibdir}/modules.d/98syslog
%{dracutlibdir}/modules.d/98systemd
%{dracutlibdir}/modules.d/98usrmount
%{dracutlibdir}/modules.d/99base
%{dracutlibdir}/modules.d/99fs-lib
%{dracutlibdir}/modules.d/99img-lib
%{dracutlibdir}/modules.d/99shutdown
%attr(0644,root,root) %ghost %config(missingok,noreplace) %{_localstatedir}/log/dracut.log
%dir %{_sharedstatedir}/initramfs
%if %{defined _unitdir}
%{_unitdir}/dracut-shutdown.service
%{_unitdir}/shutdown.target.wants/dracut-shutdown.service
%{_unitdir}/dracut-cmdline.service
%{_unitdir}/dracut-initqueue.service
%{_unitdir}/dracut-mount.service
%{_unitdir}/dracut-pre-mount.service
%{_unitdir}/dracut-pre-pivot.service
%{_unitdir}/dracut-pre-trigger.service
%{_unitdir}/dracut-pre-udev.service
%{_unitdir}/initrd.target.wants/dracut-cmdline.service
%{_unitdir}/initrd.target.wants/dracut-initqueue.service
%{_unitdir}/initrd.target.wants/dracut-mount.service
%{_unitdir}/initrd.target.wants/dracut-pre-mount.service
%{_unitdir}/initrd.target.wants/dracut-pre-pivot.service
%{_unitdir}/initrd.target.wants/dracut-pre-trigger.service
%{_unitdir}/initrd.target.wants/dracut-pre-udev.service

%endif
%if 0%{?fedora} || 0%{?rhel} > 6
%{_prefix}/lib/kernel/install.d/50-dracut.install
%endif

%files network
%defattr(-,root,root,0755)
%{dracutlibdir}/modules.d/40network
%{dracutlibdir}/modules.d/95fcoe
%{dracutlibdir}/modules.d/95iscsi
%{dracutlibdir}/modules.d/90livenet
%{dracutlibdir}/modules.d/90qemu-net
%{dracutlibdir}/modules.d/95cifs
%{dracutlibdir}/modules.d/95nbd
%{dracutlibdir}/modules.d/95nfs
%{dracutlibdir}/modules.d/95ssh-client
%{dracutlibdir}/modules.d/45ifcfg
%{dracutlibdir}/modules.d/95znet
%{dracutlibdir}/modules.d/95fcoe-uefi
%{dracutlibdir}/modules.d/99uefi-lib

%if 0%{?fedora} || 0%{?rhel} || 0%{?suse_version}
%files fips
%defattr(-,root,root,0755)
%{dracutlibdir}/modules.d/01fips
%{dracutlibdir}/dracut.conf.d/40-fips.conf
%config(missingok) /etc/system-fips
%endif

%files fips-aesni
%defattr(-,root,root,0755)
%doc COPYING
%{dracutlibdir}/modules.d/02fips-aesni

%files caps
%defattr(-,root,root,0755)
%{dracutlibdir}/modules.d/02caps

%files tools
%defattr(-,root,root,0755)
%{_mandir}/man8/dracut-catimages.8*
%{_bindir}/dracut-catimages
%dir /boot/dracut
%dir /var/lib/dracut
%dir /var/lib/dracut/overlay

%files config-generic
%defattr(-,root,root,0755)
%{dracutlibdir}/dracut.conf.d/02-generic-image.conf

%files config-rescue
%defattr(-,root,root,0755)
%{dracutlibdir}/dracut.conf.d/02-rescue.conf
%if 0%{?fedora} || 0%{?rhel} > 6
%{_prefix}/lib/kernel/install.d/51-dracut-rescue.install
%{_sysconfdir}/kernel/postinst.d/51-dracut-rescue-postinst.sh
%endif

%changelog
* Wed Jun 13 2018 Lukas Nykryn <lnykryn@redhat.com> - 033-535.1
- dracut.sh: workaround broken read from /proc/modules
Resolves: #1578222

* Mon Feb 19 2018 Lukas Nykryn <lnykryn@redhat.com> - 033-535
- 90lvm: always add dm-snapshot
Resolves: #1546577

* Thu Feb 01 2018 Lukas Nykryn <lnykryn@redhat.com> - 033-534
- base/dracut-lib.sh:dev_unit_name() guard against $dev beginning with "-"
- base/dracut-lib.sh: remove bashism
- Align dev_unit_name() with systemd's function.
- dracut-lib.sh:dev_unit_name(): use systemd-escape, if available
Resolves: #1306640
- 90dmsquash-live-ntfs: fix depends()
- 90dmsquash-live: we don't have find_binary inside initramdisk
- dracut: Ajusting variables name for --include
Resolves: #1489882

* Wed Jan 03 2018 Lukas Nykryn <lnykryn@redhat.com> - 033-527
- 01fips: Properly fix creating path to .hmac of kernel based on BOOT_IMAGE
Resolves: #1415032

* Mon Dec 18 2017 Lukáš Nykrýn <lnykryn@redhat.com> - 033-526
- 01fips: Fix creating path to .hmac of kernel based on BOOT_IMAGE
Resolves: #1415032

* Mon Dec 18 2017 Lukáš Nykrýn <lnykryn@redhat.com> - 033-525
- Support Microcode Updates for AMD CPU Family 0x17
Resolves: #1476039

* Wed Dec 13 2017 Lukáš Nykrýn <lnykryn@redhat.com> - 033-523
- dracut.sh: remove quotes from install_items and install_optional_items
Related: #1520721

* Fri Dec 08 2017 Lukáš Nykrýn <lnykryn@redhat.com> - 033-522
- for_each_host_xx() function should indicate the empty case
Resolves: #1520721

* Fri Nov 03 2017 Lukáš Nykrýn <lnykryn@redhat.com> - 033-520
- network/ifup: don't arping for point-to-point connections
Resolves: #1477339
- network: Only bring up wired network interfaces
Resolves: #1480246
- dracut.sh: source dracut-version.sh earlier than dracut-functions.sh
Resolves: #1490777
- Fix MTU on bond interface.
- add 'mtu' parameter for bond options
Resolves: #1494265
- fcoe: Allow more time for the bnx2x link negotiation before brining up fcoe interfaces.
Resolves: #1378910
- lvm_scan.sh: use -K when calling lvchange
Resolves: #1489841

* Thu Nov 02 2017 Lukáš Nykrýn <lnykryn@redhat.com> - 033-513
- spec: add missing modules
- add 90multipath-hostonly module
Resolves: #1457311
- Add NTFS support to 90dmsquash-live module
Resolves: #1449410
- dracut.sh: gather host_modalias when "--no-hostonly-default-device" is set
- rootfs-block/module-setup.sh: check root_dev in cmdline_rootfs()
- dracut.sh: introduce "--no-hostonly-default-device" argument
Resolves: #1483838
- 10i18n/parse-i18n.sh: parse rd.vconsole and rd.locale
Resolves: #1479325
- dracut.cmdline: remove extra ":" from ip= doc
Resolves: #1469997
- Try BOOT_IMAGE and fallback to vmlinuz-${KERNEL}
- fips: honor $BOOT_IMAGE variable for HMAC check of the kernel
Resolves: #1415032

* Wed Jun 28 2017 Lukáš Nykrýn <lnykryn@redhat.com> - 033-502
- 01fips: add authenec module
Resolves: #1465946

* Thu Jun 15 2017 Lukáš Nykrýn <lnykryn@redhat.com> - 033-501
-  95iscsi: run iscsistart with DefaultDependencies=no
Resolves: #1461234

* Tue Jun 13 2017 Lukáš Nykrýn <lnykryn@redhat.com> - 033-500
- fips: add cmac kernel module
Resolves: #1460865

* Wed Jun 07 2017 Lukáš Nykrýn <lnykryn@redhat.com> - 033-499
- module-setup.sh: Add ARM specific driver to initramfs image
Resolves: #1459277
- Revert "systemd/dracut-initqueue.sh: don't go into emergency"
Resolves: #1396865
- udev-rules: pull in 40-redhat-cpu-hotplug.rules
Resolves: #1460707

* Thu Apr 20 2017 Lukáš Nykrýn <lnykryn@redhat.com> - 033-496
- 95ssh-client: attempt to copy UserKnownHostsFile to kdump's initramfs
Resolves: rhbz#1360131

* Thu Apr 06 2017 Lukáš Nykrýn <lnykryn@redhat.com> - 033-495
- ifup: don't ifup team master indefinitely
Resolves: rhbz#1416958
- write-ifcfg: do't write MTU twice for regular eth devices
Resolves: rhbz#1366163
- network/ifup: write override file before dhcp_do
Resolves: rhbz#1415004

* Thu Mar 16 2017 Lukáš Nykrýn <lnykryn@redhat.com> - 033-492
- rd.memdebug=4
Resolves: rhbz#1376661

* Fri Mar 10 2017 Lukáš Nykrýn <lnykryn@redhat.com> - 033-487
- add upstream tests
- dracut.sh: fail hard, if we find modules and modules.dep is missing
Resolves: rhbz#1298656
- add dracut.pc pkg-config file
Resolves: rhbz#1397853
- systemd/dracut-cmdline.sh: unset "UNSET" $root
Releated: rhbz#1365667
- dracut.conf.5.asc: add Warning about leading and trailing spaces in lists
- fips/module-setup.sh: make tcrypt non-optional

* Wed Oct 05 2016 Lukáš Nykrýn <lnykryn@redhat.com> - 033-463
- network: do not check "firmware boot selected flag"
Resolves: rhbz#1380581

* Wed Sep 07 2016 Harald Hoyer <harald@redhat.com> - 033-462
- fix dhcp classless routes
Resolves: rhbz#1260955

* Tue Sep 06 2016 Harald Hoyer <harald@redhat.com> - 033-461
- be more liberal to multiple ip= lines and ip=dhcp
Resolves: rhbz#1304069
- don't display error for hba.conf
Resolves: rhbz#1369342

* Mon Sep 05 2016 Harald Hoyer <harald@redhat.com> - 033-459
- fix TEST-16-DMSQUASH
Resolves: rhbz#1371165

* Fri Aug 19 2016 Harald Hoyer <harald@redhat.com> - 033-458
- add rpcrdma to support NFSROOT over NFSoRDMA
Resolves: rhbz#1367374

* Wed Aug 17 2016 Harald Hoyer <harald@redhat.com> - 033-457
- add --help documentation for --no-hostonly-i18n and --hostonly-i18n options
Resolves: rhbz#1266448
- mention rd.shell=0 for rd.emergency
Resolves: rhbz#1359144
- put IPv6 IP in brackets for IBFT
Resolves: rhbz#1322592
- install symlinked ca-bundle.crt for curl and ssl
Resolves: rhbz#1341280

* Fri Aug 12 2016 Harald Hoyer <harald@redhat.com> - 033-453
- fixed installation on ppc with missing root=
Resolves: rhbz#1365667

* Tue Aug 09 2016 Harald Hoyer <harald@redhat.com> - 033-452
- fips: remove sha1-mb
Resolves: rhbz#1361441
- check all lvm slaves
Resolves: rhbz#1361165

* Thu Jul 28 2016 Lukáš Nykrýn <lnykryn@redhat.com> - 033-450
- fips-module: add missing spaces
Resolves: rhbz#1359677

* Fri Jul 22 2016 Harald Hoyer <harald@redhat.com> - 033-449
- include /etc/lvm/lvm_<host_tag>.conf
Resolves: rhbz#1328778
- cleanup watchdog module
Resolves: rhbz#1319986
- make reboot/halt/poweroff work
Resolves: rhbz#1324454
- include nfs module, if host_fs_types contains nfs
  copy filesystems to host_fs_types
Resolves: rhbz#1349253
- add kernel command line argument rd.emergency to specify a
  default action rd.emergency=[reboot|poweroff|halt]
Resolves: rhbz#1359144
- deduplicate /etc/resolv.conf
Resolves: rhbz#1332418

* Mon Jul 04 2016 Harald Hoyer <harald@redhat.com> - 033-436
- ip=auto6 waits now until some router advertisments have been done
Resolves: rhbz#1242058 rhbz#1292623
- default iSCSI off-load start is now done in the background via systemd
- don't fail on missing swap devices
Resolves: rhbz#1165736
- on shutdown re-mount the pivot-root writeable again
Resolves: rhbz#1178497
- fixed waiting for interface to be up
Resolves: rhbz#1289341
- for iSCSI, wait for all interfaces to be up
Resolves: rhbz#1247478
- correctly set MAC address on interface for DHCP
Resolves: rhbz#1274230
- fixed detection of virtual machines
Resolves: rhbz#1170122
- suppress building of early microcode image for non-x86 HW
Resolves: rhbz#1260187
- show more meaningfull messages for missing binaries
Resolves: rhbz#1201035
- backport fcoe fixes
Resolves: rhbz#1169672
- find device mapper devices with user_friendly_names turned on
Resolves: rhbz#1299800
- add dm-snapshot kernel module for LVM
Resolves: rhbz#1287940
- skip gpg files for microcode generation
Resolves: rhbz#1282870
- add description for --no-hostonly-i18n and --hostonly-i18n options
Resolves: rhbz#1266448
- copy all requires lines from crypttab
Resolves: rhbz#1254987
- add "wheel" and "adm" to passwd and group
Resolves: rhbz#1275792 rhbz#1287537
- strip whitespaces from volume group name in check_vol_slaves()
Resolves: rhbz#1299879
- dhcp: support rfc3442-classless-static-routes
Resolves: rhbz#1260955
- activate all bridges
Resolves: rhbz#1194604
- don't call "udevadm control --exit"
Resolves: rhbz#1277026
- support multiple bond interfaces
Resolves: rhbz#1282679
- configure other interfaces, if team/bond is configured
Resolves: rhbz#1282680
- error out, if initramfs.img could not be created
  and remove a partial written image
Resolves: rhbz#1235895
- optionally install items in 01-dist.conf
Resolves: rhbz#1222529
- fixed MAC and MUT settings in ip= command line parameter
Resolves: rhbz#1271656

* Wed Jun 08 2016 Harald Hoyer <harald@redhat.com> - 033-385.1
- remove dd requirement (dd is part of corutils)
Related: rhbz#1336503

* Fri May 27 2016 Harald Hoyer <harald@redhat.com> - 033-385
- add more SDHCI driver
Resolves: rhbz#1336503
- add str_ends() function
- optimize test suite for RHEL

* Mon May 23 2016 Harald Hoyer <harald@redhat.com> - 033-379
- Autodetect iSCSI firmware
- check, if NFS is already mounted
Resolves: rhbz#1302764
- fix carrier detection
- fix majmin_to_mpath_dev()
- add "wheel" and "adm" to passwd and group
Resolves: rhbz#1287537
- add "tar" and "dd" requirement
Resolves: rhbz#1285810
- for microcode generation, skip gpg files
- add documentation: for "--hostonly-i18n" "--no-hostonly-i18n" "i18n_install_all"
- add classless-static-routes support
Resolves: rhbz#1260955

* Thu Nov 26 2015 Harald Hoyer <harald@redhat.com> - 033-361
- don't call udevadm control --exit in systemd mode
Resolves: rhbz#1276983

* Tue Oct 20 2015 Lukáš Nykrýn <lnykryn@redhat.com> - 033-359
- write-ifcfg: fix creating configuration for VLAN
Resolves: rhbz#1267311
- 90qemu: also add ibmvscsi on qemu
Resolves: rhbz#1245959

* Fri Oct 09 2015 Harald Hoyer <harald@redhat.com> 033-358
- fixed qemu detection
Resolves: rhbz#1245959
- fixed vlan ifcfg generation and nameserver handling
Resolves: rhbz#1267311

* Wed Sep 30 2015 Harald Hoyer <harald@redhat.com> 033-353
- fix network wait_for_if_up() to parse NO-CARRIER
Resolves: rhbz#1249507
- don't create garbage directories because of ldconfig
  misparsing
Resolves: rhbz#1264725

* Thu Sep 17 2015 Harald Hoyer <harald@redhat.com> 033-349
- no iSCSI timeout and modprobe, if iSCSI is not used
- modprobe iSCSI modules with "-b" to allow blacklisting
Resolves: rhbz#1263984
- check for firmware file existance, before crafting
  microcode cpio
Resolves: rhbz#1263798

* Tue Sep 15 2015 Harald Hoyer <harald@redhat.com> 033-346
- slim down the image by not including microcode header, if
  not needed
- add command line parameter for hostonly keyboard layouts
   --hostonly-i18n
Resolves: rhbz#1262208

* Thu Sep 10 2015 Harald Hoyer <harald@redhat.com> 033-343
- fixed more iscsi_firmware / ibft handling
Resolves: rhbz#1256814

* Tue Sep 08 2015 Harald Hoyer <harald@redhat.com> 033-339
- fixed dhcp lease RENEW
Resolves: rhbz#1144277

* Thu Sep 03 2015 Harald Hoyer <harald@redhat.com> 033-338
- updated the man page for grub config file modifications
Resolves: rhbz#1209962

* Thu Sep 03 2015 Harald Hoyer <harald@redhat.com> 033-337
- more "ip=ibft" fixes
Resolves: rhbz#1256814

* Wed Sep 02 2015 Harald Hoyer <harald@redhat.com> 033-335
- fixed livenet exit code
Related: rhbz#1256814

* Wed Sep 02 2015 Harald Hoyer <harald@redhat.com> 033-334
- add spapr-vscsi kernel module for qemu
Resolves: rhbz#1245959

* Tue Sep 01 2015 Harald Hoyer <harald@redhat.com> 033-333
- fixed more iSCSI handling
Resolves: rhbz#1114966 rhbz#1189891
- fixed "ip=ibft"
Resolves: rhbz#1256814
- fixed cmsifup and s390 ifup
Resolves: rhbz#1245660

* Tue Aug 25 2015 Harald Hoyer <harald@redhat.com> 033-328
- add hostonly multipath.conf (to save memory in kdump)
Resolves: rhbz#994702
- increase version number of systemd dependency
- fixed more iSCSI handling
Resolves: rhbz#1114966 rhbz#1189891
- check for duplicate IPv4 address
Resolves: rhbz#1202553

* Tue Aug 18 2015 Harald Hoyer <harald@redhat.com> 033-314
- fixed iSCSI handling
Resolves: rhbz#1114966 rhbz#1189891
- check for duplicate IPv4 address
Resolves: rhbz#1202553
- wait udev to be settled before transitioning to the real root
Resolves: rhbz#1231373
- support ip= parameter with enx* interface for autobinding to MAC
Resolves: rhbz#1241102
- include 40-redhat.rules in the initramfs
Resolves: rhbz#1241547
- degrade missing binaries for modules to info level
Resolves: rhbz#1242845
- cleanup lldpad cleanly to help out in state transition from initramfs
Resolves: rhbz#1246217

* Thu Jul 09 2015 Harald Hoyer <harald@redhat.com> 033-284
- unconditionally install the drbg module in hostonly mode
Resolves: rhbz#1240438

* Fri Jul 03 2015 Harald Hoyer <harald@redhat.com> 033-283
- add support for "x-initrd.mount"
Resolves: rhbz#1080405
- add network timeout kernel command line arguments
Resolves: rhbz#1088808
- use fcoemon and write out fcoemon config
Resolves: rhbz#1129884 rhbz#1129888
- add fcoe module EDD parsing quirk for i40e
Resolves: rhbz#1129886
- add RENEW to dhclient-script
Resolves: rhbz#1144277
- only fetch squashfs.img once
Resolves: rhbz#1152485
- add more input kernel drivers
Resolves: rhbz#1165585 rhbz#1194529
- be more sloppy with swap partitions and don't fail without them
Resolves: rhbz#1165736
- don't call dinfo binary
Resolves: rhbz#1167082
- don't halt the system, if the media check is aborted
Resolves: rhbz#1167735
- add boot option to spcecify size of live image rw overlay
Resolves: rhbz#1183566
- fix nfs dracut module, to not alter rootok for non nfs root
Resolves: rhbz#1186004
- don't fsck nfs 
Resolves: rhbz#1186699
- correctly parse multi line kernel command line
Resolves: rhbz#1186822
- add hyperv_fb module
Resolves: rhbz#1187428
- fixup IPv6 NFS addresses parsing
Resolves: rhbz#1190098
- add drbg kernel module in fips mode
Resolves: rhbz#1193147
- add all multipath path selector kernel modules
Resolves: rhbz#1195392
- don't symlink /var/log /run/log
Resolves: rhbz#1199645
- wait for IPv6 link local addresses
Resolves: rhbz#1209814
- fix references to grub config file in dracut man page
Resolves: rhbz#1209962
- add s390 kernel crypto modules to dracut-fips
Resolves: rhbz#1215766
- suppress 'cat: write error: Broken pipe' for lsinitrd
Resolves: rhbz#1223888
- enable DNS before routes to avoid race conditions
Resolves: rhbz#1226004
- add point-to-point ethernet configured via DHCP
Resolves: rhbz#1227813
- add virtio-pci
Resolves: rhbz#1231716
- add cache tools for dm-cache usage
Resolves: rhbz#1234407
- dracut-functions: move non-function code to dracut-init.sh
Resolves: rhbz#1235500
- add more information why a dracut module could not be included
Resolves: rhbz#1236190
- fixup iBFT parsing
Resolves: rhbz#1236610

* Tue Jun 16 2015 Harald Hoyer <harald@redhat.com> 033-248
- fips: rearrange fips modules due to zlib
Resolves: rhbz#1216086
- wait for IPV6 DAD in DHCP PREINIT6
- wait 5s for an network link carrier to appear
Resolves: rhbz#1088808

* Tue Apr 28 2015 Harald Hoyer <harald@redhat.com> 033-244
- fips: add some s390 kernel modules
Resolves: rhbz#1215766

* Thu Apr 02 2015 Harald Hoyer <harald@redhat.com> 033-243
- /run/log is now symlinked to /run/initramfs/log
Resolves: rhbz#1199645

* Thu Feb 19 2015 Harald Hoyer <harald@redhat.com> 033-241.1
- subversion inc

* Thu Feb 19 2015 Harald Hoyer <harald@redhat.com> 033-241
- fips: load the drbg kernel module
Resolves: rhbz#1194201

* Mon Jan 26 2015 Harald Hoyer <harald@redhat.com> 033-240
- fixed team implementation
Resolves: rhbz#1147521

* Wed Jan 21 2015 Harald Hoyer <harald@redhat.com> 033-239
- fixed team implementation
Resolves: rhbz#1147521

* Thu Jan 15 2015 Harald Hoyer <harald@redhat.com> 033-238
- fixed more iscsi_target parsing
Resolves: rhbz#1176534

* Wed Jan 14 2015 Harald Hoyer <harald@redhat.com> 033-237
- add support for multiple autoconf options ip=eth0:auto6,dhcp
Resolves: rhbz#1069270
- fixed team implementation
Resolves: rhbz#1147521

* Tue Jan 13 2015 Harald Hoyer <harald@redhat.com> 033-233
- fips: corrected previous fix
Resolves: rhbz#1165603
- fixed iscsi_target parsing
Resolves: rhbz#1176534
- skip GlobalKnownHostsFile for ssh_config
Resolves: rhbz#1086778
- cms-write-ifcfg.sh: turn SUBCHANNELS into lowercase
Resolves: rhbz#1169384
- fixed static routes execution
Resolves: rhbz#1101412
- add 90-vconsole.rules
Resolves: rhbz#1162177

* Fri Nov 28 2014 Harald Hoyer <harald@redhat.com> 033-227
- fips: add libfreeblpriv3.so and libfreeblpriv3.chk
Resolves: rhbz#1165603

* Wed Oct 29 2014 Harald Hoyer <harald@redhat.com> 033-226
- fixed ifcfg generation for persistent interface names
Resolves: rhbz#1087945

* Fri Sep 12 2014 Harald Hoyer <harald@redhat.com> 033-224
- don't enforce iSCSI target name policy
Resolves: rhbz#1078867
- replaced "ip=auto" with "ip=dhcp" in the documentation
Resolves: rhbz#1086931
- bind bonding and bridge interfaces to SUBCHANNELS on s390(x)
Resolves: rhbz#1090524
- turn on ipv6, if configured
Resolves: rhbz#1091410
- parse DASD="none" as empty
Resolves: rhbz#1096979
- add virtio-console for qemu
Resolves: rhbz#1097999
- fail on missing dracut modules
Resolves: rhbz#1121362
- replace the default route
Resolves: rhbz#1137022

* Fri Sep 05 2014 Harald Hoyer <harald@redhat.com> 033-213
- add "-m" option to lsinitrd to list the modules used
Resolves: rhbz#1122806
- add "--rebuild" option to dracut
Resolves: rhbz#1123900

* Fri Aug 29 2014 Harald Hoyer <harald@redhat.com> 033-207
- only fsck from the systemd side
Resolves: rhbz#1080699
- handle multiple fcoe devices
Resolves: rhbz#1082512
- handle entries in ssh_config
Resolves: rhbz#1086778
- do not bind persistent interfaces to MAC
Resolves: rhbz#1087945
- fixed iscsiroot install in initqueue
Resolves: rhbz#1094469
- handle upper case letters in SUBCHANNELS
Resolves: rhbz#1094773
- add rd.route kernel command line parameter
Resolves: rhbz#1101412
- do not reload systemd on wait_for_dev
Resolves: rhbz#1126008

* Tue Jul 29 2014 Harald Hoyer <harald@redhat.com> 033-203
- add rd.cmdline=ask parameter
Resolves: rhbz#1070104

* Mon Apr 28 2014 Harald Hoyer <harald@redhat.com> 033-161
- add extra and weak-updates kernel module dirs
Resolves: rhbz#1086291

* Fri Apr 04 2014 Harald Hoyer <harald@redhat.com> 033-160
- add fsck.<filesystem>, if it exists
Resolves: rhbz#1083654
- set IPV6INIT=yes if inet6 is found on the interface
Resolves: rhbz#1083153

* Mon Mar 31 2014 Harald Hoyer <harald@redhat.com> 033-157
- workaround fcoe timing issues
Resolves: rhbz#1080353

* Thu Mar 27 2014 Harald Hoyer <harald@redhat.com> 033-156
- network: set correct lease times for DHCPv6
Resolves: rhbz#1064365
- include dm-cache kernel modules
Resolves: rhbz#1081435

* Thu Mar 27 2014 Harald Hoyer <harald@redhat.com> 033-154
- lsinitrd: fix for chroot envs without /dev/fd
Resolves: rhbz#1081396

* Tue Mar 25 2014 Harald Hoyer <harald@redhat.com> 033-153
- fcoe: wait for lldpad to be ready
Resolves: rhbz#1080353
- network: handle "ip=dhcp6" for all interfaces
Resolves: rhbz#1064365

* Thu Mar 20 2014 Harald Hoyer <harald@redhat.com> 033-151
- fixed dracut-initramfs-restore with early microcode
Resolves: rhbz#1067116

* Tue Mar 18 2014 Harald Hoyer <harald@redhat.com> 033-150
- make dracut-shutdown not fail fatally
Resolves: rhbz#1067116
- do PREINIT6 for DHCP6
Resolves: rhbz#1064365

* Thu Mar 06 2014 Harald Hoyer <harald@redhat.com> 033-147
- also do not hardcode waiting for devices
Resolves: rhbz#1073101
Related: rhbz#985160

* Wed Mar 05 2014 Harald Hoyer <harald@redhat.com> 033-146
- don't let devices timeout
Resolves: rhbz#949697

* Mon Mar 03 2014 Harald Hoyer <harald@redhat.com> 033-145
- fixed argument handling for cmdline config
Resolves: rhbz#949697

* Fri Feb 28 2014 Harald Hoyer <harald@redhat.com> 033-144
- wait for IPv6 tentative flag to be cleared
Resolves: rhbz#1069263
- set correct flag file for interfaces
Resolves: rhbz#1069263
- add systemd-sysctl service to initramfs
Resolves: rhbz#1070086
- honor kernel cmdline, no internal cmdline anymore
Resolves: rhbz#985160
- --mount can now take fsck options
Resolves: rhbz#1069106

* Wed Feb 26 2014 Harald Hoyer <harald@redhat.com> 033-137
- added sdhci_acpi to static list of kernel modules
- add kernel drivers from the update directory to search path
Resolves: rhbz#1055774
- set the correct initiatior name for iBFT (typo)
- try all FcoeBootDevice variables
Resolves: rhbz#1032699
- write directly to the output file and get correct selinux label
- add sys-kernel-config.mount to the initramfs
- configure IPv6 interface for DHCP6
Resolves: rhbz#1064365
- Wait until the tentative flag is cleared.
Resolves: rhbz#1069263
- no HWADDR if SUBCHANNELS are set for s390 interfaces
Resolves: rhbz#1056438
- modify the device timeout for the root device with the rootfs-generator
Resolves: rhbz#1069133
Resolves: rhbz#1028043
- do not store kernel cmdline config in the initramfs about device assembly
Resolves: rhbz#949697
- write directly to the output image
Resolves: rhbz#1062544

* Mon Feb 24 2014 Ray Strode <rstrode@redhat.com> 033-125
- fix plymouth in initrd
Resolves: #1015564

* Mon Feb 10 2014 Harald Hoyer <harald@redhat.com> 033-124
- fixed dns parsing for ip= parameter
Resolves: rhbz#1034287
- skipcpio bugfixes
Resolves: rhbz#1045639
- do not ifup, and already setup network
Resolves: rhbz#844828
- do not run dhclient twice
Resolves: rhbz#844828

* Fri Jan 31 2014 Harald Hoyer <harald@redhat.com> 033-115
- add fcoe module even in hostonly case
Resolves: rhbz#1038827

* Fri Jan 31 2014 Harald Hoyer <harald@redhat.com> 033-110
- add nameservers from ibft settings
Resolves: rhbz#1034287
- add microcode to the initramfs image by default
Resolves: rhbz#1045639
- halt the machine for wrong checksums in FIPS mode
Resolves: rhbz#1053655
- add kernel drivers from the update directory to search path
Resolves: rhbz#1055774
- set the ip address lifetime for DHCP setups
Resolves: rhbz#1058519

* Tue Jan 28 2014 Daniel Mach <dmach@redhat.com> - 033-89
- Mass rebuild 2014-01-24

* Fri Jan 24 2014 Harald Hoyer <harald@redhat.com> 033-88
- fixed iscsistart for iscsi_firmware
Related: rhbz#1031160

* Wed Jan 22 2014 Harald Hoyer <harald@redhat.com> 033-86
- fixed iscsistart for iscsi_firmware
Related: rhbz#1031160

* Mon Jan 20 2014 Harald Hoyer <harald@redhat.com> 033-85
- fixed shebang of dracut-lib.sh
Related: rhbz#1031160

* Fri Jan 17 2014 Harald Hoyer <harald@redhat.com> 033-84
- fixed iscsistart for iscsi_firmware
Related: rhbz#1031160
- add more drivers
Resolves: rhbz#1048403
Resolves: rhbz#1038827
- add rd.bootif=0 parameter
Resolves: rhbz#1044623
- halt the machine, if FIPS fails
- do not exit != 0 for dracut-rootfs-generator

* Mon Jan 13 2014 Ray Strode <rstrode@redhat.com> 033-69
- Add udev seat rules for plymouth
Related: #1043689
Related: #1026571

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 033-68
- Mass rebuild 2013-12-27

* Wed Dec 18 2013 Harald Hoyer <harald@redhat.com> 033-67
- fixed luks timeout
Resolves: rhbz#949697
- do not systemctl daemon-reload
Resolves: rhbz#1023039 rhbz#1028043
- do not do dhcp on interfaces with no link
Resolves: rhbz#1029062
- do iscsistart for iscsi_firmware even without network
Resolves: rhbz#1031160

* Mon Nov 04 2013 Harald Hoyer <harald@redhat.com> 033-40
- fips: include crct10dif_generic
Resolves: rhbz#1024455
- add /etc/system-fips in the initramfs
Resolves: rhbz#1014284

* Wed Oct 30 2013 Harald Hoyer <harald@redhat.com> 033-39
- fixed booting with rd.iscsi.firmware and without root=
Resolves: rhbz#1024858
- fixed resuming
- fix swap detection in hostonly
- fixed missing modules in hostonly, which have no modalias
Resolves: rhbz#1015284
- moved dracut to /usr/sbin

* Mon Oct 21 2013 Harald Hoyer <harald@redhat.com> 033-32
- fixed LVM with thin provisioning
Resolves: rhbz#1020855

* Fri Oct 18 2013 Harald Hoyer <harald@redhat.com> 033-30
- fixed LVM with thin provisioning
Resolves: rhbz#1020855

* Wed Oct 09 2013 Harald Hoyer <harald@redhat.com> 033-26
- create /dev/mapper/live-base for anaconda
Resolves: rhbz#1009710
- support "rootfallback=<root fallback device>"
Resolves: rhbz#727333
- add UEFI FCoE boot support
Resolves: rhbz#732059
- Make udev db records for MD devices persistent
  so LVM on MD autoactivation works correctly
Resolves: rhbz#1017031
- support mdadm-3.2.6+ and mdadm-3.3+
- install lvm thin utils for non-hostonly also

* Wed Oct 02 2013 Harald Hoyer <harald@redhat.com> 033-14
- hopefully fixed systemd-cat test
Resolves: rhbz#1002021

* Tue Oct 01 2013 Harald Hoyer <harald@redhat.com> 033-4
- add /etc/system-fips
Resolves: rhbz#1014284

* Fri Sep 13 2013 Harald Hoyer <harald@redhat.com> 033-3
- do not dhcp members of team, bond, etc.

* Fri Sep 13 2013 Harald Hoyer <harald@redhat.com> 033-2
- harden against weird ppc kernel driver
Resolves: rhbz#1007891

* Wed Sep 04 2013 Harald Hoyer <harald@redhat.com> 032-23
- do not fail on empty dracut module directories
Resolves: rhbz#1003153
- parse cmdline parameter, even if rootok=1
Resolves: rhbz#978330
- fixed ibft_to_cmdline()

* Thu Aug 29 2013 Harald Hoyer <harald@redhat.com> 032-19
- fixed curl error with zero size kickstart file
Resolves: rhbz#989133
- fixed systemd-cat failure, when systemd is installed
  but not actually running
Resolves: rhbz#1002021
- do not fail on empty dracut module directories
Resolves: rhbz#1003153

* Tue Aug 20 2013 Harald Hoyer <harald@redhat.com> 032-1
- fix for kdump in FIPS mode
Resolves: rhbz#920931
- fixed iBFT booting
Resolves: rhbz#989944
- fixed FIPS mode initramfs creation
Resolves: rhbz#990250
- shutdown: fixed killall_proc_mountpoint()
Resolves: rhbz#996549
- disable lvmetad in the initramfs
Resolves: rhbz#996627
- require dhclient

* Mon Aug 12 2013 Harald Hoyer <harald@redhat.com> 031-29.git20130812
- added missing "then" in initqueue

* Mon Aug 12 2013 Harald Hoyer <harald@redhat.com> 031-28.git20130812
- fixed typo in hostonly device recognition

* Fri Aug 09 2013 Harald Hoyer <harald@redhat.com> 031-24.git20130809
- fixed logging to journal

* Fri Aug 09 2013 Harald Hoyer <harald@redhat.com> 031-23.git20130809
- fixed lsinitrd

* Fri Aug 09 2013 Harald Hoyer <harald@redhat.com> 031-22.git20130809
- lsinitrd.sh: add old cpio signature
- dracut.sh: call find with -print0 and cpio with --null
- dracut.asc: small corrections
- systemd/dracut-initqueue.sh: continue to boot if finished failed
- dracut.sh/dracut-functions.sh: handle root on non-block device
- dracut-functions.sh: removed non dracut-install shell functions
- dracut-functions.sh: inst_multiple == dracut_install
- 51-dracut-rescue.install: fixed rescue image creation
- dracut.sh: do not strip in FIPS mode
Resolves: rhbz#990250
- dracut.sh: check the value of --kver
- crypt: Fix typo--/etc/crypttab not /etc/cryptab
- network/net-lib.sh: fix ibft interface configuration
- iscsi/module-setup.sh: install some modules regardless of hostonly
- multipath: need_shutdown if multipath devices exist
Resolves: rhbz#994913
- omit drivers fix

* Thu Aug 01 2013 Harald Hoyer <harald@redhat.com> 031-7.git20130801
- also install vt102 terminfo

* Wed Jul 31 2013 Harald Hoyer <harald@redhat.com> 031-6.git20130731
- cmssetup: fixed port for zfcp.conf
- lvm: call lvchange with --yes to boot from snapshots

* Wed Jul 31 2013 Harald Hoyer <harald@redhat.com> 031-4.git20130731
- remove action_on_fail kernel command line parameter

* Wed Jul 31 2013 Harald Hoyer <harald@redhat.com> 031-3.git20130731
- do not include adjtime and localtime in the initramfs
- write out vlan configs

* Wed Jul 31 2013 Harald Hoyer <harald@redhat.com> 031-1
- do not include the resume dracut module in hostonly mode,
  if no swap is present
- don't warn twice about omitted modules
- use systemd-cat for logging on systemd systems, if logfile is unset
- fixed PARTUUID parsing
- support kernel module signing keys
- do not install the usrmount dracut module in hostonly mode,
  if /sbin/init does not live in /usr
- add debian udev rule files
- add support for bcache
- network: handle bootif style interfaces
  e.g. ip=77-77-6f-6f-64-73:dhcp
- add support for kmod static devnodes
- add vlan support for iBFT

* Wed Jul 24 2013 Kyle McMartin <kyle@redhat.com> 030-2
- Add ehci-tegra.ko to initramfs to allow rawhide tegra based platforms
  to boot off USB disks.

* Wed Jul 17 2013 Harald Hoyer <harald@redhat.com> 030-1
- support new persistent network interface names
- fix findmnt calls, prevents hang on stale NFS mounts
- add systemd.slice and slice.target units
- major shell cleanup
- support root=PARTLABEL= and root=PARTUUID=
- terminfo: only install l/linux v/vt100 and v/vt220
- unset all LC_* and LANG, 10% faster
- fixed dependency loop for dracut-cmdline.service
- do not wait_for_dev for the root devices
- do not wait_for_dev for devices, if dracut-initqueue is not needed
- support early microcode loading with --early-microcode
- dmraid, let dmraid setup its own partitions
- sosreport renamed to rdsosreport

* Fri Jun 14 2013 Harald Hoyer <harald@redhat.com> 029-1
- wait for IPv6 auto configuration
Resolves: rhbz#973719
- i18n: make the default font configurable
- systemd/dracut-pre-pivot.service: also execute for cleanup hooks or rd.break
- add dracut-shutdown.service.8 manpage
- lvm: redirect error message of lvs to /dev/null
Resolves: rhbz#921235

* Wed Jun 12 2013 Harald Hoyer <harald@redhat.com> 028-1
- lvm: fixed "thin" recognition
Resolves: rhbz#921235
- install libs also from one dir above
  fixes booting power6 generated initramfs on power7
- setup correct system time and time zone in initrd
- cms fixups
Resolves: rhbz#970982 rhbz#971025 rhbz#825199
- iso-scan/filename fixes
Resolves: rhbz#972337
- add udev rules for persistent network naming
Resolves: rhbz#972662

* Tue Jun 04 2013 Dennis Gilmore <dennis@ausil.us> 027-82.git20130531
- add patch to include  panel-tfp410 module on arm systems

* Fri May 31 2013 Harald Hoyer <harald@redhat.com> 027-81.git20130531
- fix btrfs mount flags for /usr
- degrade message about missing tools for stripping
Resolves: rhbz#958519
- set environment vars DRACUT_SYSTEMD, NEWROOT in service file
Resolves: rhbz#963159
- don't add volatile swap partitions to host_devs
- add libssl.so.10 to make kdump work with fips mode
- readd selinux dracut module for kdump
- url-lib/url-lib.sh: turn off curl globbing
Resolves: rhbz#907497
- include btrfs-zero-log in the initramfs
Resolves: rhbz#963257
- proper NAME the network interfaces
Resolves: rhbz#965842
- install default font latarcyrheb-sun16
Resolves: rhbz#927564
- optionally install /etc/pcmcia/config.opts
Resolves: rhbz#920076
- fix ONBOOT for slaves, set TYPE=Bond for bonding
Resolves: rhbz#919001
- add nvme kernel module
Resolves: rhbz#910734
- add xfs_metadump
- selinux: load_policy script fix
- add hid-hyperv and hv-vmbus kernel modules
- add parameter rd.live.squashimg
Resolves: rhbz#789036 rhbz#782108
- wait for all required interfaces if "rd.neednet=1"
Resolves: rhbz#801829
- lvm: add tools for thin provisioning
Resolves: rhbz#921235
- ifcfg/write-ifcfg.sh: fixed ifcfg file generation
- do not wait for mpath* devices
Resolves: rhbz#969068

* Wed May 22 2013 Adam Williamson <awilliam@redhat.com> 027-46.git20130430
- don't specify "p" as a separator for dmraid
Resolves: rhbz#966162

* Tue Apr 30 2013 Harald Hoyer <harald@redhat.com> 027-45.git20130430
- fixed fips mode more
Resolves: rhbz#956521

* Thu Apr 25 2013 Harald Hoyer <harald@redhat.com> 027-39.git20130425
- fix shutdown, if /dev/console is not writeable
- fixed fips mode
Resolves: rhbz#956521

* Thu Apr 18 2013 Harald Hoyer <harald@redhat.com> 027-36.git20130418
- fix initramfs creation on noexec tmpdir
Resolves: rhbz#953426
- more options for lsinitrd
- bash completion for lsinitrd
- do not output debug information on initramfs creation, if rd.debug is
  on the kernel command line
- drop requirement on 'file', lsinitrd can find the magic on its own

* Mon Apr 15 2013 Harald Hoyer <harald@redhat.com> 027-26.git20130415
- do not call plymouth with full path
- include systemd-random-seed-load.service
- fix ca-bundle.crt for ssl curl
Resolves: rhbz#950770
- add support for "iso-scan/filename" kernel parameter

* Wed Apr 10 2013 Harald Hoyer <harald@redhat.com> 027-19.git20130410
- also handle UUID= entries in crypttab in host-only mode
Resolves:rhbz#919752

* Tue Apr 09 2013 Harald Hoyer <harald@redhat.com> 027-17.git20130409
- only include needed /etc/crypttab entries
Resolves:rhbz#919752
- add support for bridge over team and vlan
- support multiple bonding interfaces
- add "action_on_fail=" kernel command line parameter
- add support for bridge over a vlan tagged interface

* Fri Apr 05 2013 Harald Hoyer <harald@redhat.com> 027-10.git20130405
- fix crypto password timeout on the dracut side

* Tue Mar 26 2013 Harald Hoyer <harald@redhat.com> 027-1
- version 027

* Wed Mar 20 2013 Harald Hoyer <harald@redhat.com> 026-72.git20130320
- fix rescue image naming
Resolves: rhbz#923439
- turn off host-only mode if essential system filesystems not mounted
- turn off host-only mode if udev database is not accessible

* Tue Mar 19 2013 Harald Hoyer <harald@redhat.com> 026-62.git20130319
- fix dracut service ordering
Resolves: rhbz#922991

* Mon Mar 18 2013 Harald Hoyer <harald@redhat.com> 026-56.git20130318
- don't fail hard on kernel modules install
Resolves: rhbz#922565

* Mon Mar 18 2013 Harald Hoyer <harald@redhat.com> 026-55.git20130318
- install all host filesystem drivers
Resolves: rhbz#922565

* Sat Mar 16 2013 Harald Hoyer <harald@redhat.com> 026-54.git20130316
- fix for squashfs
Resolves: rhbz#922248
- documentation fixes
- sosreport, mkdir /run/initramfs

* Fri Mar 15 2013 Harald Hoyer <harald@redhat.com> 026-48.git20130315
- use new initrd.target from systemd
- fixed rescue generation

* Wed Mar 13 2013 Harald Hoyer <harald@redhat.com> 026-33.git20130313
- add module-load.d modules to the initramfs
- add sysctl.d to the initramfs
- optimize plymouth module for systemd mode
- add new dracut parameter "--regenerate-all"
- add new dracut parameter "--noimageifnotneeded"
- shutdown: mount move /run /sys /dev /proc out of /oldroot
  before pre-shutdown
- add bash completion for dracut

* Wed Mar 13 2013 Harald Hoyer <harald@redhat.com> 026-19.git20130313
- fix switch-root and local-fs.target problem
- add norescue and nohostonly subpackages

* Mon Mar 11 2013 Harald Hoyer <harald@redhat.com> 026-15.git20130311
- update to recent git

* Fri Mar 08 2013 Harald Hoyer <harald@redhat.com> 026-1
- version 026

* Mon Feb 11 2013 Harald Hoyer <harald@redhat.com> 025-35.git20130211
- update to recent git

* Wed Jan 23 2013 Harald Hoyer <harald@redhat.com> 025-1
- version 025

* Tue Aug 21 2012 Harald Hoyer <harald@redhat.com> 023-13.git20120821
- reintroduce rd.neednet, which reenables anaconda networking
- fix some dracut-install corner cases
- fix FIPS for /boot not on extra partition

* Wed Aug 01 2012 Dennis Gilmore <dennis@ausil.us> - 023-2
- add patch to include omap_hsmmc for arm

* Wed Aug 01 2012 Harald Hoyer <harald@redhat.com> 023-1
- version 023

* Mon Jul 30 2012 Harald Hoyer <harald@redhat.com> 022-99.git20120730
- removed install of missing finished-ask-password.sh

* Mon Jul 30 2012 Harald Hoyer <harald@redhat.com> 022-97.git20120730
- moved crypt setup to systemd units

* Fri Jul 27 2012 Harald Hoyer <harald@redhat.com> 022-63.git20120727
- fixed dracut-install bug if /var/tmp contains a symlink
- fixed some partx issues

* Mon Jul 23 2012 Harald Hoyer <harald@redhat.com> 022-5.git20120723
- dracut.8: added more documentation about executing dracut

* Fri Jul 20 2012 Harald Hoyer <harald@redhat.com> 022-2.git20120720
- fixed some race condition for resume from hibernation

* Fri Jul 20 2012 Harald Hoyer <harald@redhat.com> 022-1
- version 022
- host-only kernel modules fix

* Fri Jul 20 2012 Harald Hoyer <harald@redhat.com> 021-1
- version 21
- systemd in the initramfs reenabled
- new option "--kver"

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 020-97.git20120717
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Jul 17 2012 Harald Hoyer <harald@redhat.com> 020-96.git20120717
- disabled systemd in the initramfs, until it works correctly

* Wed Jul 11 2012 Harald Hoyer <harald@redhat.com> 020-84.git20120711
- add back "--force" to switch-root, otherwise systemd umounts /run

* Wed Jul 11 2012 Harald Hoyer <harald@redhat.com> 020-83.git20120711
- more systemd journal fixes
- nfs module fix
- install also /lib/modprobe.d/*
- fixed dracut-shutdown service
- safeguards for dracut-install
- for --include also copy symlinks

* Tue Jul 10 2012 Harald Hoyer <harald@redhat.com> 020-72.git20120710
- stop journal rather than restart
- copy over dracut services to /run/systemd/system

* Tue Jul 10 2012 Harald Hoyer <harald@redhat.com> 020-70.git20120710
- more systemd unit fixups
- restart systemd-journald in switch-root post
- fixed dracut-install loader ldd error message

* Mon Jul 09 2012 Harald Hoyer <harald@redhat.com> 020-64.git20120709
- fixed plymouth install
- fixed resume
- fixed dhcp
- no dracut systemd services installed in the system

* Mon Jul 09 2012 Harald Hoyer <harald@redhat.com> 020-57.git20120709
- more fixups for systemd-udevd unit renaming

* Mon Jul 09 2012 Harald Hoyer <harald@redhat.com> 020-55.git20120709
- require systemd >= 186
- more fixups for systemd-udevd unit renaming

* Mon Jul 09 2012 Harald Hoyer <harald@redhat.com> 020-52.git20120709
- fixed prefix in 01-dist.conf

* Fri Jul 06 2012 Harald Hoyer <harald@redhat.com> 020-51.git20120706
- cope with systemd-udevd unit renaming
- fixed network renaming
- removed dash module

* Mon Jul 02 2012 Harald Hoyer <harald@redhat.com> 020-22.git20120702
- fixed kernel modules install

* Mon Jul 02 2012 Harald Hoyer <harald@redhat.com> 020-21.git20120702
- moved /usr/bin/dracut-install to /usr/lib
- more speedups

* Fri Jun 29 2012 Harald Hoyer <harald@redhat.com> 020-1
- version 020
- new /usr/bin/dracut-install tool
- major speedup of the image creation

* Mon Jun 25 2012 Harald Hoyer <harald@redhat.com> 019-92.git20120625
- support vlan tagged binding
- speedup initramfs emergency service
- speedup image creation
- fix installkernel() return codes
Resolves: rhbz#833256
- add qemu and qemu-net modules to add qemu drivers even in host-only
- speedup btrfs and xfs fsck (nop)
- no more mknod in the initramfs (fixes plymouth on s390)

* Thu Jun 21 2012 Harald Hoyer <harald@redhat.com> 019-62.git20120621
- do not require pkg-config for systemd
- i18n fixes
- less systemd services in the initramfs

* Thu Jun 21 2012 Harald Hoyer <harald@redhat.com> 019-57.git20120620
- systemd is now the default init in the initramfs

* Mon Jun 18 2012 Harald Hoyer <harald@redhat.com> 019-40.git20120618
- new upstream version

* Mon Jun 11 2012 Harald Hoyer <harald@redhat.com> 019-16.git20120611
- new upstream version

* Tue Jun 05 2012 Dennis Gilmore <dennis@ausil.us> 019-2
- include omapdrm with the arm modules

* Mon Jun 04 2012 Harald Hoyer <harald@redhat.com> 019-1
- version 019-1

* Tue May 22 2012 Harald Hoyer <harald@redhat.com> 018-74.git20120522
- new upstream version

* Thu May 17 2012 Dennis Gilmore <dennis@ausil.us> 018-53.git20120509
- add patch to pull in arm storage modules

* Wed May 09 2012 Harald Hoyer <harald@redhat.com> 018-52.git20120509
- new upstream version

* Fri May 04 2012 Harald Hoyer <harald@redhat.com> 018-40.git20120504
- new upstream version

* Wed Apr 25 2012 Harald Hoyer <harald@redhat.com> 018-37.git20120425.1
- fixup for multipath and iscsi host-only detection

* Wed Apr 25 2012 Harald Hoyer <harald@redhat.com> 018-37.git20120425
- fixed udevd location

* Tue Apr 24 2012 Harald Hoyer <harald@redhat.com> 018-33.git20120424
- new upstream version

* Thu Apr 19 2012 Harald Hoyer <harald@redhat.com> 018-25.git20120419
- fixed network for non-network root (like installer media)

* Wed Apr 18 2012 Harald Hoyer <harald@redhat.com> 018-22.git20120418
- new upstream version

* Mon Apr 16 2012 Harald Hoyer <harald@redhat.com> 018-12.git20120416
- new upstream version, which fixes various anaconda loader issues

* Thu Apr 05 2012 Harald Hoyer <harald@redhat.com> 018-1
- version 018

* Thu Mar 22 2012 Harald Hoyer <harald@redhat.com> 017-62.git20120322
- fixed /run prefix copying

* Wed Mar 21 2012 Harald Hoyer <harald@redhat.com> 017-59.git20120321
- new upstream version, which fixes various anaconda loader issues

* Mon Mar 12 2012 Harald Hoyer <harald@redhat.com> 017-43.git20120312
- live image: fixed image uncompression
- live updates for livenet

* Thu Mar 08 2012 Harald Hoyer <harald@redhat.com> 017-40.git20120308
- add s390 ctcm network kernel module

* Thu Mar 08 2012 Harald Hoyer <harald@redhat.com> 017-39.git20120308
- kill dhclient silently
- cleanup and fix network config writeout to /run/initramfs/state
Resolves: rhbz#799989
- various cleanups

* Fri Mar 02 2012 Harald Hoyer <harald@redhat.com> 017-22.git20120302
- nfs path fixes for live image over nfs
  root=live:nfs://10.10.10.10:/srv/all/install.img ip=dhcp rd.neednet

* Thu Mar 01 2012 Harald Hoyer <harald@redhat.com> 017-19.git20120301
- fixed include of some kernel modules

* Wed Feb 29 2012 Harald Hoyer <harald@redhat.com> 017-17.git20120229
- update to latest git
- fixes for convertfs (/usr-move)

* Fri Feb 24 2012 Harald Hoyer <harald@redhat.com> 017-1
- version 017

* Fri Feb 17 2012 Harald Hoyer <harald@redhat.com> 016-9.git20120217
- update to latest git

* Wed Feb 15 2012 Harald Hoyer <harald@redhat.com> 016-1
- version 016

* Mon Feb 13 2012 Harald Hoyer <harald@redhat.com> 015-9.git20120213
- update to latest git

* Sun Feb 12 2012 Kay Sievers <kay@redhat.com> - 015-9.git20120210
- fix dependency loop in systemd service files

* Fri Feb 10 2012 Harald Hoyer <harald@redhat.com> 015-8.git20120210
- update to latest git

* Thu Feb 09 2012 Harald Hoyer <harald@redhat.com> 015-7.git20120209
- update to latest git

* Thu Feb 09 2012 Harald Hoyer <harald@redhat.com> 015-4.git20120209
- update to latest git

* Wed Feb 08 2012 Harald Hoyer <harald@redhat.com> 015-3.git20120208
- update to latest git

* Tue Feb 07 2012 Harald Hoyer <harald@redhat.com> 015-1
- version 015

* Thu Feb 02 2012 Harald Hoyer <harald@redhat.com> 014-81.git20120202
- update to latest git

* Thu Feb 02 2012 Harald Hoyer <harald@redhat.com> 014-80.git20120202
- update to latest git

* Thu Jan 26 2012 Harald Hoyer <harald@redhat.com> 014-77.git20120126.1
- rebuild for rawhide

* Thu Jan 26 2012 Harald Hoyer <harald@redhat.com> 014-77.git20120126
- update to latest git

* Thu Jan 26 2012 Harald Hoyer <harald@redhat.com> 014-76.git20120126
- update to latest git

* Thu Jan 26 2012 Harald Hoyer <harald@redhat.com> 014-75.git20120126
- update to latest git

* Thu Jan 26 2012 Harald Hoyer <harald@redhat.com> 014-74.git20120126
- update to latest git

* Thu Jan 26 2012 Harald Hoyer <harald@redhat.com> 014-73.git20120126
- update to latest git

* Thu Jan 26 2012 Harald Hoyer <harald@redhat.com> 014-72.git20120126
- update to latest git

* Mon Jan 23 2012 Harald Hoyer <harald@redhat.com> 014-65.git20120123
- update to latest git

* Mon Jan 23 2012 Harald Hoyer <harald@redhat.com> 014-61.git20120123
- update to latest git

* Tue Jan 17 2012 Harald Hoyer <harald@redhat.com> 014-38.git20120117
- update to latest git

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 014-10.git20111215
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 15 2011 Harald Hoyer <harald@redhat.com> 014-9.git20111215
- update to latest git
- lots of patch changes

* Fri Oct 21 2011 Harald Hoyer <harald@redhat.com> 013-100.git20111021
- update to latest git

* Thu Oct 20 2011 Harald Hoyer <harald@redhat.com> 013-93.git20111020
- update to latest git

* Wed Oct 19 2011 Harald Hoyer <harald@redhat.com> 013-85.git20111019
- update to latest git

* Tue Oct 04 2011 Harald Hoyer <harald@redhat.com> 013-15
- fixed mdraid container handling
Resolves: rhbz#743240

* Thu Sep 22 2011 Harald Hoyer <harald@redhat.com> 013-13
- fixed mdraid issues
- fixed btrfsck
Resolves: rhbz#735602

* Wed Sep 21 2011 Harald Hoyer <harald@redhat.com> 013-12
- removed patch backup files
- reintroduced /dev/live

* Tue Sep 20 2011 Harald Hoyer <harald@redhat.com> 013-11
- move mounting of securitfs to a seperate module
Resolves: rhbz#737140

* Tue Sep 20 2011 Harald Hoyer <harald@redhat.com> 013-10
- mount securitfs with the correct source
Resolves: rhbz#737140

* Tue Sep 20 2011 Harald Hoyer <harald@redhat.com> 013-9
- do not carry over initramfs udev rules
Resolves: rhbz#734096

* Fri Sep 02 2011 Harald Hoyer <harald@redhat.com> 013-8
- hopefully fixed one part of a loop/udev and loop/mount race
Resolves: rhbz#735199

* Wed Aug 31 2011 Harald Hoyer <harald@redhat.com> 013-7
- add /lib/udev/input_id to the initramfs
- fix hmac install

* Tue Aug 30 2011 Harald Hoyer <harald@redhat.com> 013-6
- fixed environment passing to real init
Resolves: rhbz#733674
- fixed lvm on md

* Mon Aug 29 2011 Harald Hoyer <harald@redhat.com> 013-5
- fixed rhel/fedora version checks

* Wed Aug 17 2011 Harald Hoyer <harald@redhat.com> 013-4
- fixed crash with livenet installed

* Wed Aug 17 2011 Harald Hoyer <harald@redhat.com> 013-3
- fixed live iso mounting
Resolves: rhbz#730579

* Fri Aug 12 2011 Harald Hoyer <harald@redhat.com> 013-1
- fixed symlink creation for lorax

* Wed Aug 10 2011 Harald Hoyer <harald@redhat.com> 011-41.git20110810
- fixed getargs() for empty args

* Wed Aug 10 2011 Harald Hoyer <harald@redhat.com> 011-40.git20110810
- fixed symbolic link creation in the initramfs
Resolves: rhbz#728863

* Wed Jul 20 2011 Harald Hoyer <harald@redhat.com> 011-15.git20110720
- "eject" is optional now
- refined shutdown procedure

* Mon Jul 18 2011 Harald Hoyer <harald@redhat.com> 011-1
- version 011

* Fri May 20 2011 Harald Hoyer <harald@redhat.com> 011-0.1%{?rdist}
- git snapshot of pre-version 011

* Fri Apr 01 2011 Harald Hoyer <harald@redhat.com> 010-1
- version 010

* Thu Mar 31 2011 Harald Hoyer <harald@redhat.com> 009-5
- fixed PATH and kmsg logging

* Thu Mar 31 2011 Harald Hoyer <harald@redhat.com> 009-4
- fixed dmsquash rule generation
- fixed fips boot arg parsing
- fixed plymouth pid generation

* Wed Mar 30 2011 Harald Hoyer <harald@redhat.com> 009-3
- fixed dhcp
- added /lib/firmware/updates to firmware directories 
- fixed LiveCD /dev/.initramfs fallback
- fixed cdrom polling
- dropped net-tools dependency

* Tue Mar 29 2011 Harald Hoyer <harald@redhat.com> 009-2
- fixed empty output file argument handling:
  "dracut '' <kernel version>" 

* Mon Mar 28 2011 Harald Hoyer <harald@redhat.com> 009-1
- version 009

* Thu Mar 17 2011 Harald Hoyer <harald@redhat.com> 009-0.1
- version 009 prerelease

* Tue Feb 22 2011 Harald Hoyer <harald@redhat.com> 008-7
- fixed lvm version parsing

* Tue Feb 22 2011 Harald Hoyer <harald@redhat.com> 008-6
- fixed lvm version parsing

* Mon Feb 21 2011 Harald Hoyer <harald@redhat.com> 008-5
- fixed i18n unicode setting
- set cdrom in kernel polling

* Fri Feb 18 2011 Harald Hoyer <harald@redhat.com> 008-4
- readded dist tag

* Fri Feb 18 2011 Harald Hoyer <harald@redhat.com> 008-3
- fixed i18n
- turned off selinux by default

* Wed Feb 09 2011 Harald Hoyer <harald@redhat.com> 008-2
- do not write dracut.log to /tmp under any circumstances
- touch /dev/.systemd/plymouth after plymouth started

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 008-1.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Feb 02 2011 Harald Hoyer <harald@redhat.com> 008-1
- version 008-1

* Mon Jan 17 2011 Harald Hoyer <harald@redhat.com> 008-0.11
- removed "mount" requirement

* Thu Nov 18 2010 Harald Hoyer <harald@redhat.com> - 008-0.10
- dracut-008 pre git snapshot
- fixes /dev/dri permissions
Resolves: rhbz#626559

* Fri Nov 12 2010 Harald Hoyer <harald@redhat.com> 008-0.9
- dracut-008 pre git snapshot
- fixes /dev/.udev permissions
Resolves: rhbz#651594

* Wed Nov  3 2010 Harald Hoyer <harald@redhat.com> - 008-0.8
- fixed fsck -a option

* Fri Oct 29 2010 Harald Hoyer <harald@redhat.com> 008-0.7
- added fsck to initramfs

* Fri Oct 29 2010 Harald Hoyer <harald@redhat.com> 008-0.6
- fixed rpm macros

* Fri Oct 29 2010 Harald Hoyer <harald@redhat.com> 008-0.5
- dracut-008 pre git snapshot

* Mon Aug 09 2010 Harald Hoyer <harald@redhat.com> 007-1
- version 007

* Thu Jun 17 2010 Harald Hoyer <harald@redhat.com> 006-1
- version 006

* Fri Jun 11 2010 Harald Hoyer <harald@redhat.com>
- Remove requirements, which are not really needed
Resolves: rhbz#598509
- fixed copy of network config to /dev/.initramfs/ (patch 146)
Resolves: rhbz#594649
- more password beauty (patch 142)
Resolves: rhbz#561092
- support multiple iSCSI disks (patch 143)
Resolves: rbhz#580190
- fixed selinux=0 (patch 130)
Resolves: rhbz#593080
- add support for booting LVM snapshot root volume (patch 145)
Resolves: rbhz#602723
- remove hardware field from BOOTIF= (patch 148)
Resolves: rhbz#599593
- add aes kernel modules and fix crypt handling (patch 137, patch 140 and patch 147)
Resolves: rhbz#600170

* Thu May 27 2010 Harald Hoyer <harald@redhat.com> 
- fixed Requirements
- fixed autoip6 
Resolves: rhbz#538388
- fixed multipath
Resolves: rhbz#595719

* Thu May 06 2010 Harald Hoyer <harald@redhat.com> 
- only display short password messages
Resolves: rhbz#561092

* Thu May 06 2010 Harald Hoyer <harald@redhat.com>
- fixed dracut manpages 
Resolves: rhbz#589109
- use ccw-init and ccw rules from s390utils
Resolves: rhbz#533494
- fixed fcoe
Resolves: rhbz#486244
- various other bugfixes seen in Fedora

* Tue Apr 20 2010 Harald Hoyer <harald@redhat.com> 
- fixed network with multiple nics
- fixed nfsidmap paths
- do not run blkid on non active container raids
- fixed cdrom polling mechanism
- update to latest git

* Thu Apr 15 2010 Harald Hoyer <harald@redhat.com>
- fixed dracut manpages
- dmraid parse different error messages
- add cdrom polling mechanism for slow cdroms
- add module btrfs
- teach dmsquash live-root to use rootflags
- trigger udev with action=add
- fixed add_drivers handling 
- add sr_mod
- use pigz instead of gzip, if available

* Thu Mar 25 2010 Harald Hoyer <harald@redhat.com> 
- removed firmware requirements (rhbz#572634)
- add /etc/dracut.conf.d
- Resolves: rhbz#572634

* Fri Mar 19 2010 Harald Hoyer <harald@redhat.com> 
- version 005

* Fri Mar 19 2010 Harald Hoyer <harald@redhat.com> 
- fixed rpmlint errors (rhbz#570547)
- removed firmware package from dracut-kernel (rhbz#572634)
- add dcb support to dracut's FCoE support (rhbz#563794)
- force install some modules in hostonly mode (rhbz#573094)
- various other bugfixes
- Resolves: rhbz#570547, rhbz#572634, rhbz#563794, rhbz#573094

* Thu Feb 18 2010 Harald Hoyer <harald@redhat.com> 004-15
- fixed "selinux=0" booting (rhbz#566376)
- fixed internal IFS handling
- Resolves: rhbz#566376

* Fri Jan 29 2010 Harald Hoyer <harald@redhat.com> 004-5
- fixed firmware.sh bug (#559975 #559597)

* Tue Jan 26 2010 Harald Hoyer <harald@redhat.com> 004-4
- add multipath check

* Tue Jan 26 2010 Harald Hoyer <harald@redhat.com> 004-3
- fix selinux handling if .autorelabel is present
- Resolves: rhbz#557744

* Wed Jan 20 2010 Harald Hoyer <harald@redhat.com> 004-2
- fix emergency_shell argument parsing
- Related: rhbz#543948

* Fri Jan 15 2010 Harald Hoyer <harald@redhat.com> 004-1
- version 004
- Resolves: rhbz#529339 rhbz#533494 rhbz#548550 
- Resolves: rhbz#548555 rhbz#553195

* Wed Jan 13 2010 Harald Hoyer <harald@redhat.com> 003-3
- add Obsoletes of mkinitrd/nash/libbdevid-python
- Related: rhbz#543948

* Wed Jan 13 2010 Warren Togami <wtogami@redhat.com> 003-2
- nbd is Fedora only

* Fri Nov 27 2009 Harald Hoyer <harald@redhat.com> 003-1
- version 003

* Mon Nov 23 2009 Harald Hoyer <harald@redhat.com> 002-26
- add WITH_SWITCH_ROOT make flag
- add fips requirement conditional
- add more device mapper modules (bug #539656)

* Fri Nov 20 2009 Dennis Gregorovic <dgregor@redhat.com> - 002-25.1
- nss changes for Alpha 3

* Thu Nov 19 2009 Harald Hoyer <harald@redhat.com> 002-25
- add more requirements for dracut-fips (bug #539257)

* Tue Nov 17 2009 Harald Hoyer <harald@redhat.com> 002-24
- put fips module in a subpackage (bug #537619)

* Tue Nov 17 2009 Harald Hoyer <harald@redhat.com> 002-23
- install xdr utils for multipath (bug #463458)

* Thu Nov 12 2009 Harald Hoyer <harald@redhat.com> 002-22
- add module 90multipath
- add module 01fips
- renamed module 95ccw to 95znet (bug #533833)
- crypt: ignore devices in /etc/crypttab (root is not in there)
- dasd: only install /etc/dasd.conf in hostonly mode (bug #533833)
- zfcp: only install /etc/zfcp.conf in hostonly mode (bug #533833)
- kernel-modules: add scsi_dh scsi_dh_rdac scsi_dh_emc (bug #527750)
- dasd: use dasdconf.sh from s390utils (bug #533833)

* Fri Nov 06 2009 Harald Hoyer <harald@redhat.com> 002-21
- fix rd_DASD argument handling (bug #531720)
- Resolves: rhbz#531720

* Wed Nov 04 2009 Harald Hoyer <harald@redhat.com> 002-20
- fix rd_DASD argument handling (bug #531720)
- Resolves: rhbz#531720

* Tue Nov 03 2009 Harald Hoyer <harald@redhat.com> 002-19
- changed rd_DASD to rd_DASD_MOD (bug #531720)
- Resolves: rhbz#531720

* Tue Oct 27 2009 Harald Hoyer <harald@redhat.com> 002-18
- renamed lvm/device-mapper udev rules according to upstream changes
- fixed dracut search path issue

* Mon Oct 26 2009 Harald Hoyer <harald@redhat.com> 002-17
- load dm_mod module (bug #530540)

* Fri Oct 09 2009 Jesse Keating <jkeating@redhat.com> - 002-16
- Upgrade plymouth to Requires(pre) to make it show up before kernel

* Thu Oct 08 2009 Harald Hoyer <harald@redhat.com> 002-15
- s390 ccw: s/layer1/layer2/g

* Thu Oct 08 2009 Harald Hoyer <harald@redhat.com> 002-14
- add multinic support
- add s390 zfcp support
- add s390 network support

* Wed Oct 07 2009 Harald Hoyer <harald@redhat.com> 002-13
- fixed init=<command> handling
- kill loginit if "rdinitdebug" specified
- run dmsquash-live-root after udev has settled (bug #527514)

* Tue Oct 06 2009 Harald Hoyer <harald@redhat.com> 002-12
- add missing loginit helper
- corrected dracut manpage

* Thu Oct 01 2009 Harald Hoyer <harald@redhat.com> 002-11
- fixed dracut-gencmdline for root=UUID or LABEL

* Thu Oct 01 2009 Harald Hoyer <harald@redhat.com> 002-10
- do not destroy assembled raid arrays if mdadm.conf present
- mount /dev/shm 
- let udevd not resolve group and user names
- preserve timestamps of tools on initramfs generation
- generate symlinks for binaries correctly
- moved network from udev to initqueue
- mount nfs3 with nfsvers=3 option and retry with nfsvers=2
- fixed nbd initqueue-finished
- improved debug output: specifying "rdinitdebug" now logs
  to dmesg, console and /init.log
- stop udev before killing it
- add ghost /var/log/dracut.log
- dmsquash: use info() and die() rather than echo
- strip kernel modules which have no x bit set
- redirect stdin, stdout, stderr all RW to /dev/console
  so the user can use "less" to view /init.log and dmesg

* Tue Sep 29 2009 Harald Hoyer <harald@redhat.com> 002-9
- make install of new dm/lvm udev rules optionally
- correct dasd module typo

* Fri Sep 25 2009 Warren Togami <wtogami@redhat.com> 002-8
- revert back to dracut-002-5 tarball 845dd502
  lvm2 was reverted to pre-udev

* Wed Sep 23 2009 Harald Hoyer <harald@redhat.com> 002-7
- build with the correct tarball

* Wed Sep 23 2009 Harald Hoyer <harald@redhat.com> 002-6
- add new device mapper udev rules and dmeventd 
  bug 525319, 525015

* Wed Sep 23 2009 Warren Togami <wtogami@redaht.com> 002-5
- Revert back to -3, Add umount back to initrd
  This makes no functional difference to LiveCD.  See Bug #525319

* Mon Sep 21 2009 Warren Togami <wtogami@redhat.com> 002-4
- Fix LiveCD boot regression

* Mon Sep 21 2009 Harald Hoyer <harald@redhat.com> 002-3
- bail out if selinux policy could not be loaded and 
  selinux=0 not specified on kernel command line 
  (bug #524113)
- set finished criteria for dmsquash live images

* Fri Sep 18 2009 Harald Hoyer <harald@redhat.com> 002-2
- do not cleanup dmraids
- copy over lvm.conf

* Thu Sep 17 2009 Harald Hoyer <harald@redhat.com> 002-1
- version 002
- set correct PATH
- workaround for broken mdmon implementation

* Wed Sep 16 2009 Harald Hoyer <harald@redhat.com> 001-12
- removed lvm/mdraid/dmraid lock files
- add missing ifname= files

* Wed Sep 16 2009 Harald Hoyer <harald@redhat.com> 001-11
- generate dracut-version during rpm build time

* Tue Sep 15 2009 Harald Hoyer <harald@redhat.com> 001-10
- add ifname= argument for persistent netdev names
- new /initqueue-finished to check if the main loop can be left
- copy mdadm.conf if --mdadmconf set or mdadmconf in dracut.conf

* Wed Sep 09 2009 Harald Hoyer <harald@redhat.com> 001-9
- added Requires: plymouth-scripts

* Wed Sep 09 2009 Harald Hoyer <harald@redhat.com> 001-8
- plymouth: use plymouth-populate-initrd
- add add_drivers for dracut and dracut.conf
- do not mount /proc and /selinux manually in selinux-load-policy

* Wed Sep 09 2009 Harald Hoyer <harald@redhat.com> 001-7
- add scsi_wait_scan to be sure everything was scanned

* Tue Sep 08 2009 Harald Hoyer <harald@redhat.com> 001-6
- fixed several problems with md raid containers
- fixed selinux policy loading

* Tue Sep 08 2009 Harald Hoyer <harald@redhat.com> 001-5
- patch does not honor file modes, fixed them manually

* Mon Sep 07 2009 Harald Hoyer <harald@redhat.com> 001-4
- fixed mdraid for IMSM

* Mon Sep 07 2009 Harald Hoyer <harald@redhat.com> 001-3
- fixed bug, which prevents installing 61-persistent-storage.rules (bug #520109)

* Thu Sep 03 2009 Harald Hoyer <harald@redhat.com> 001-2
- fixed missing grep for md
- reorder cleanup

* Wed Sep 02 2009 Harald Hoyer <harald@redhat.com> 001-1
- version 001
- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS

* Fri Aug 14 2009 Harald Hoyer <harald@redhat.com> 0.9-1
- version 0.9

* Thu Aug 06 2009 Harald Hoyer <harald@redhat.com> 0.8-1
- version 0.8 
- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS

* Fri Jul 24 2009 Harald Hoyer <harald@redhat.com> 0.7-1
- version 0.7
- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS

* Wed Jul 22 2009 Harald Hoyer <harald@redhat.com> 0.6-1
- version 0.6
- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS

* Fri Jul 17 2009 Harald Hoyer <harald@redhat.com> 0.5-1
- version 0.5
- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS

* Sat Jul 04 2009 Harald Hoyer <harald@redhat.com> 0.4-1
- version 0.4
- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS

* Thu Jul 02 2009 Harald Hoyer <harald@redhat.com> 0.3-1
- version 0.3
- see http://dracut.git.sourceforge.net/git/gitweb.cgi?p=dracut/dracut;a=blob_plain;f=NEWS

* Wed Jul 01 2009 Harald Hoyer <harald@redhat.com> 0.2-1
- version 0.2

* Fri Jun 19 2009 Harald Hoyer <harald@redhat.com> 0.1-1
- first release

* Thu Dec 18 2008 Jeremy Katz <katzj@redhat.com> - 0.0-1
- Initial build
